Index: extensions/BatchDownloader/language/de_DE/plugin.lang.php
===================================================================
--- extensions/BatchDownloader/language/de_DE/plugin.lang.php	(revision 21673)
+++ extensions/BatchDownloader/language/de_DE/plugin.lang.php	(revision 23293)
@@ -35,10 +35,10 @@
 $lang['Download links'] = 'Download Links';
 $lang['Download permissions'] = 'Download Rechte';
-$lang['Download set deleted'] = 'Auswahl der ';
+$lang['Download set deleted'] = 'Download Auswahl gelöscht';
 $lang['Downloads'] = 'Downloads';
 $lang['Edit the set'] = 'Auswahl bearbeiten';
 $lang['Estimated number of archives'] = 'Vorraussichtliche Anzahl an Archiven';
 $lang['Estimated size'] = 'Vorraussichtliche Größe';
-$lang['Generate ZIP'] = 'Generiere ZIP Archiv';
+$lang['Generate ZIP'] = 'Erstelle ZIP Archiv';
 $lang['Maximum number of photos per download set'] = 'Maximale Anzahl der Fotos je Download';
 $lang['Maximum photo size'] = 'Maximale Bildgröße';
@@ -47,5 +47,6 @@
 $lang['Return to download page'] = 'Zurück zur Downloadseite';
 $lang['Set type'] = 'Setze Typ';
-$lang['The archive is downloading, if the download doesn\'t start automatically please <a href="%s">click here</a>'] = 'Das Archiv wird heruntergeladen, wenn der Download nicht automatisch startet bitte <a href="%s">hier klicken</a>';
+$lang['The archive is downloading, if the download doesn\'t start automatically please <a href="%s">click here</a>'] = 'Das Archiv wird heruntergeladen. 
+Sollte der Download nicht automatisch starten bitte <a href="%s">hier klicken</a>';
 $lang['Total size'] = 'Größe gesamt';
 $lang['User collection'] = 'Benutzer Sammlung';
@@ -53,5 +54,5 @@
 $lang['Whole gallery'] = 'Gesamte Galerie';
 $lang['You can not edit this set'] = 'Du kannst die Auswahl nicht bearbeiten';
-$lang['You choose to download %d pictures, but the system is limited to %d. You can edit the set, or the last %d pictures will not be downloaded.'] = 'Du hast %d Fotos zum Download ausgewählt, aber die Begrenzung liegt bei %d Fotos. Du kannst die Auswahl bearbeiten oder die letzten %s Fotos werden gelöscht.';
+$lang['You choose to download %d pictures, but the system is limited to %d. You can edit the set, or the last %d pictures will not be downloaded.'] = 'Sie haben %d Fotos zum Download ausgewählt, aber die Begrenzung liegt bei %d Fotos. Sie können die Auswahl bearbeiten oder die letzten %s Fotos werden, aus der Auswahl, entfernt.';
 $lang['done'] = 'fertig';
 $lang['download'] = 'Download';
@@ -59,13 +60,19 @@
 $lang['Confirm the download of %d pictures?'] = 'Download von %d Bildern bestätigen';
 $lang['Remove all finished downloads'] = 'Alle fertigen Downloads entfernen';
-$lang['Remove from download set'] = 'Vom Download Set entfernen';
-$lang['Warning: ZipArchive doesn\'t accept special characters like accentuated ones, angle quotes (») and non-latin alphabets.'] = 'Warnung: Das ZipArchive akzeptiert keine Sonderzeichen Zeichen';
+$lang['Remove from download set'] = 'Von Download Set entfernen';
+$lang['Warning: ZipArchive doesn\'t accept special characters like accentuated ones, angle quotes (») and non-latin alphabets.'] = 'Warnung: ZipArchive akzeptiert keine Sonderzeichen, wie z.B. Akzentuierte, Klammern (») und nicht lateinische Alphabete.';
 $lang['hours'] = 'Stunden';
-$lang['Unable to find ZipArchive PHP extension, Batch Downloader will use PclZip instead, but with degraded performance.'] = 'Kann die PHP ZipArchive Erweiterung nicht finden, Batch Downloader wird anstatt PclZip verwenden, jedoch mit verminderter Leistung.';
+$lang['Unable to find ZipArchive PHP extension, Batch Downloader will use PclZip instead, but with degraded performance.'] = 'Kann die PHP ZipArchive Erweiterung nicht finden, Batch Downloader wird statt dessen PclZip verwenden, jedoch mit verminderter Leistung.';
 $lang['Number of archives'] = 'Anzahl der Archive';
 $lang['Number of images'] = 'Anzahl der Bilder';
-$lang['Starting download Archive #%d will destroy Archive #%d, be sure you finish the download. Continue ?'] = 'Das herunterladen des Archiv #%d wird das vorhandene Archiv #%d löschen, stelle sicher das der Download vollständig beendet wird. Weiter?';
+$lang['Starting download Archive #%d will destroy Archive #%d, be sure you finish the download. Continue ?'] = 'Das herunterladen des Archivs #%d wird das vorhandene Archiv #%d löschen, stelle sicher, das der Download vollständig beendet wurde. Weiter?';
 $lang['Warning: Only registered users can use Batch Downloader.'] = 'Warnung: Nur registrierte Benutzer können den Bach-Downloader nutzen.';
 $lang['What can be downloaded?'] = 'Was kann heruntergeladen werden? ';
 $lang['No result'] = 'kein Ergebnis';
+$lang['%d MB'] = '%d MB';
+$lang['Please wait, your download is being prepared. This page will refresh automatically refresh when it is ready.'] = 'Bitte hab etwas Geduld während das Herunterladen vorbereitet wird. Diese Seite aktualisiert sich automatisch sobald der Vorgang abgeschlossen ist.';
+$lang['Preparation'] = 'Vorbereitung';
+$lang['Unknown'] = 'Unbekannt';
+$lang['Sorry, there is nothing to download. Some files may have been excluded because of <i title="Authorized types are : %s">filetype restrictions</i>.'] = 'Entschuldigung, es gibt nichts herunterzuladen. 
+Einige Dateien könnten wegen Typen-Beschränkung(en) ausgeschlossen sein, <i title="Erlaubte Typen sind : %s">Datei-Typen-Beschränkungen</i>';
 ?>