Index: /extensions/BatchDownloader/language/nl_NL/advanced.html
===================================================================
--- /extensions/BatchDownloader/language/nl_NL/advanced.html	(revision 23343)
+++ /extensions/BatchDownloader/language/nl_NL/advanced.html	(revision 23343)
@@ -0,0 +1,14 @@
+<dt><span>$conf['batch_download_max_elements']</span></dt>
+<dd>Maximale waarde van de <b>Maximaal aantal afbeeldingen per download set</b> schuif. <i>Standaard is <span>1000</span>.</i></dd>
+
+<dt><span>$conf['batch_download_max_size']</span></dt>
+<dd>Maximale waarde van de <b>Maximale grootte van elk archief</b> schuif. <i>Standaard is <span>500</span>.</i></dd>
+
+<dt><span>$conf['batch_download_force_pclzip']</span></dt>
+<dd>Indien <span>true</span>, wordt <b>PclZip</b> gebruikt in plaats van <b>ZipArchive</b> als ZIP bibliotheek. <i>Standaard is <span>false</span>.</i></dd>
+
+<dt><span>$conf['batch_download_direct']</span></dt>
+<dd>Indien <span>true</span>, geeft ZIP-bestanden met HTTP redirection in plaats van PHP flow. <i>Standaard is <span>false</span>.</i></dd>
+
+<dt><span>$conf['batch_download_additional_ext']</span></dt>
+<dd>Reeks met downloadbare bestands-extensies (hoofdlettergevoelig). <i>Standaard is <span>$conf['picture_ext']</span>.</i></dd>
Index: /extensions/BatchDownloader/language/nl_NL/description.txt
===================================================================
--- /extensions/BatchDownloader/language/nl_NL/description.txt	(revision 23342)
+++ /extensions/BatchDownloader/language/nl_NL/description.txt	(revision 23343)
@@ -1,1 +1,1 @@
-Sta gebruikers toe om plaatjes sets te downloaden als ZIP. Compatibel met User Collections.
+Sta gebruikers toe om meerdere afbeeldingen tegelijk te downloaden als ZIP. Werkt goed samen met pluging: User Collections.
Index: /extensions/BatchDownloader/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/BatchDownloader/language/nl_NL/plugin.lang.php	(revision 23342)
+++ /extensions/BatchDownloader/language/nl_NL/plugin.lang.php	(revision 23343)
@@ -26,6 +26,6 @@
 $lang['real number of archives can differ'] = 'Het werkelijke aantal archieven kan anders zijn';
 $lang['Generate ZIP'] = 'Maak ZIP';
-$lang['Maximum number of photos per download set'] = 'Maximum aantal foto\'s per download set';
-$lang['Maximum photo size'] = 'Maximale foto grootte';
+$lang['Maximum number of photos per download set'] = 'Maximaal aantal afbeeldingen per download set ';
+$lang['Maximum photo size'] = 'Maximale afbeeldingsgrootte';
 $lang['Maximum size of each archive (in Megabytes)'] = 'Maximale grootte van elk archief (in Megabytes)';
 $lang['Random'] = 'Willekeurig';
@@ -34,8 +34,8 @@
 $lang['Return to download page'] = 'Ga terug naar download pagina';
 $lang['Set type'] = 'Stel type in';
-$lang['The archive is downloading, if the download doesn\'t start automatically please <a href="%s">click here</a>'] = 'Het archief wordt gedownload, als de download niet automatisch start <a href="%s">hier klikken</a> a.u.b.';
+$lang['The archive is downloading, if the download doesn\'t start automatically please <a href="%s">click here</a>'] = 'Het archief wordt gedownload. Als de download niet automatisch start <a href="%s">hier klikken</a> a.u.b.';
 $lang['Total size'] = 'Totale grootte';
-$lang['User collection'] = 'Gebruiker collectie';
-$lang['User groups'] = 'Gebruiker groepen';
+$lang['User collection'] = 'Gebruikerscollectie';
+$lang['User groups'] = 'Gebruikersgroepen';
 $lang['Warning: ZipArchive doesn\'t accept special characters like accentuated ones, angle quotes (») and non-latin alphabets.'] = 'Waarschuwing: ZipArchive accepteert geen speciale tekens zoals accenten, groter/kleiner dan(») en non-latin karakters.';
 $lang['Whole gallery'] = 'Hele galerie';
@@ -50,22 +50,30 @@
 $lang['Cancel this set'] = 'Voer deze set niet uit';
 $lang['Confirm the download of %d pictures?'] = 'Bevestig het downloaden van %d afbeeldingen?';
-$lang['Delete downloads after'] = 'Wis downloads na';
-$lang['Delete this set'] = 'Wis deze set';
+$lang['Delete downloads after'] = 'Verwijder downloads na';
+$lang['Delete this set'] = 'Verwijder deze set';
 $lang['Download all pictures of this selection'] = 'Download alle afbeeldingen uit deze selectie';
 $lang['Download history'] = 'Download historie';
 $lang['Download info'] = 'Download informatie';
 $lang['Download links'] = 'Download links';
-$lang['Download permissions'] = 'Download permissies';
-$lang['Download set deleted'] = 'Download set gewist';
+$lang['Download permissions'] = 'Download toestemmingen';
+$lang['Download set deleted'] = 'Download set verwijderd';
 $lang['Downloads'] = 'Downloads';
 $lang['Edit the set'] = 'Pas de set aan';
 $lang['Estimated number of archives'] = 'Geschat aantal archieven';
 $lang['Estimated size'] = 'Geschatte grootte';
-$lang['Number of archives'] = 'aantal archieven';
-$lang['Number of images'] = 'aantal fotos';
+$lang['Number of archives'] = 'Aantal archieven';
+$lang['Number of images'] = 'Aantal afbeeldingen';
 $lang['Unable to find ZipArchive PHP extension, Batch Downloader will use PclZip instead, but with degraded performance.'] = 'kan ZipArchive PHP extensie niet vinden, Batch downlaoder zal PclZip gebruiken, dit zorgt voor verminderde prestaties.';
-$lang['Starting download Archive #%d will destroy Archive #%d, be sure you finish the download. Continue ?'] = 'Wanneer je start met het downloaden van archief #%d, verwijdert het archief #%d, doorgaan? ';
+$lang['Starting download Archive #%d will destroy Archive #%d, be sure you finish the download. Continue ?'] = 'Wanneer je start met het downloaden van archief #%d, zal archief #%d verwijderd worden. Zorg er voor dat de download beëindigd is. Doorgaan? ';
 $lang['Warning: Only registered users can use Batch Downloader.'] = 'Waarschuwing: Alleen geregistreerde gebruikers kunnen gebruik maken van Batch Downloader.';
 $lang['No result'] = 'Geen resultaat';
 $lang['What can be downloaded?'] = 'Wat kan er gedownload worden?';
+$lang['Archive #%d (already downloaded)'] = 'Archief #%d (reeds gedownload)';
+$lang['Archive #%d (pending)'] = 'Archief #%d (wachten)';
+$lang['Archive #%d (ready)'] = 'Archief #%d (klaar)';
+$lang['Please wait, your download is being prepared. This page will refresh automatically refresh when it is ready.'] = 'Even geduld, uw download wordt voorbereid. Deze pagina wordt automtisch bijgewerkt op het moment dat de download klaar is.';
+$lang['Preparation'] = 'Voorbereiding';
+$lang['Sorry, there is nothing to download. Some files may have been excluded because of <i title="Authorized types are : %s">filetype restrictions</i>.'] = 'Sorry, er is niets te downloaden. Mogelijk dat sommige bestanden niet gedownload kunnen worden in verband met <i title="Toegestane bestandstypes : %s">bestandstype beperkingen</i>.';
+$lang['Unknown'] = 'Onbekend';
+$lang['%d MB'] = '%d MB';
 ?>