Index: trunk/admin/themes/default/fontello/font/fontello.svg
===================================================================
--- trunk/admin/themes/default/fontello/font/fontello.svg	(revision 23029)
+++ trunk/admin/themes/default/fontello/font/fontello.svg	(revision 23357)
@@ -10,4 +10,6 @@
 <glyph glyph-name="star" unicode="&#x2605;" d="M929 489q0-12-15-27l-203-198 48-279q1-4 1-11 0-12-6-20t-17-8q-11 0-22 7l-251 132-251-132q-12-7-22-7-12 0-18 8t-6 20q0 3 1 11l48 279-203 198q-14 15-14 27 0 21 31 26l280 41 126 254q11 23 27 23t27-23l126-254 280-41q31-5 31-26z" horiz-adv-x="928.571" />
 <glyph glyph-name="star-empty" unicode="&#x2606;" d="M634 290l171 166-235 35-105 213-105-213-235-35 171-166-41-235 211 111 210-111z m294 199q0-12-15-27l-203-198 48-279q1-4 1-11 0-28-23-28-11 0-22 7l-251 132-251-132q-12-7-22-7-12 0-18 8t-6 20q0 3 1 11l48 279-203 198q-14 15-14 27 0 21 31 26l280 41 126 254q11 23 27 23t27-23l126-254 280-41q31-5 31-26z" horiz-adv-x="928.571" />
+<glyph glyph-name="menu" unicode="&#xe809;" d="M650 400q22 0 36-15t14-35-15-35-35-15l-600 0q-20 0-35 15t-15 35 14 35 36 15l600 0z m-600 100q-20 0-35 15t-15 35 14 35 36 15l600 0q22 0 36-15t14-35-15-35-35-15l-600 0z m600-300q22 0 36-15t14-35-15-35-35-15l-600 0q-20 0-35 15t-15 35 14 35 36 15l600 0z" horiz-adv-x="700" />
+<glyph glyph-name="tools" unicode="&#xe803;" d="M155 506q-8-8-11-22t-3-25-2-11q-2-2-17-15t-19-17q-16-14-28 4l-70 76q-10 12 2 24 2 2 18 14t20 16q6 6 27 6t37 14q14 14 18 38t10 30q2 0 9 7t26 22 41 31q134 90 186 96 122 0 148-2 12 0-8-8-120-52-152-76-80-56-36-114 34-46 38-48 8-8-2-14-2-2-38-35t-38-35q-14-8-18-4-42 48-71 60t-67-12z m286-26l410-476q18-22-2-38l-48-42q-22-14-38 4l-414 472q-8 8 0 20l72 62q12 8 20-2z m554 202q16-104-16-166-50-88-154-62-56 12-100-32l-82-78-68 78 68 70q24 24 31 53t6 65 5 58q12 56 140 112 12 6 18-3t2-15q-12-12-46-80-14-10-12-35t40-53q58-40 96 22 6 12 26 41t22 33q4 10 13 9t11-17z m-858-684l254 248 76-86-246-242q-20-20-38-4l-46 46q-22 18 0 38z" horiz-adv-x="1000" />
 <glyph glyph-name="cog" unicode="&#x2699;" d="M571 350q0 59-42 101t-101 42-101-42-42-101 42-101 101-42 101 42 42 101z m286 61l0-124q0-7-4-13t-11-7l-103-16q-11-30-22-51 20-28 60-77 6-7 6-14t-5-13q-15-21-55-60t-52-40q-7 0-15 5l-77 60q-25-13-51-21-9-76-16-104-4-16-20-16l-124 0q-8 0-14 5t-6 12l-16 103q-27 9-50 21l-79-60q-6-5-14-5t-14 6q-70 64-92 94-4 6-4 13t4 13q8 12 28 37t30 39q-15 28-23 55l-102 15q-7 1-12 7t-4 13l0 124q0 7 4 13t11 7l104 16q8 26 22 51-22 32-60 77-6 7-6 13t5 13q15 20 55 60t53 40q7 0 15-6l77-60q25 13 51 21 9 76 16 104 4 16 20 16l124 0q8 0 14-5t6-12l16-103q27-9 50-21l79 60q5 5 13 5 7 0 14-6 72-66 92-95 4-4 4-12 0-7-4-13-8-12-28-37t-30-39q15-28 23-55l102-16q7-1 12-7t4-13z" horiz-adv-x="857.143" />
 <glyph glyph-name="cog-alt" unicode="&#x26ef;" d="M500 350q0 59-42 101t-101 42-101-42-42-101 42-101 101-42 101 42 42 101z m429-286q0 29-21 50t-50 21-50-21-21-50q0-30 21-50t50-21 50 21 21 50z m0 571q0 29-21 50t-50 21-50-21-21-50q0-30 21-50t50-21 50 21 21 50z m-214-235l0-103q0-6-4-11t-9-6l-86-13q-6-20-18-42 19-27 50-64 4-6 4-11 0-7-4-11-13-17-46-50t-44-33q-6 0-12 4l-64 50q-21-11-43-17-6-60-13-86-4-13-17-13l-104 0q-6 0-11 4t-6 10l-13 85q-19 6-42 17l-66-50q-4-4-11-4-6 0-12 4-80 74-80 89 0 5 4 11 6 8 23 30t26 34q-13 25-20 46l-85 13q-6 1-9 5t-4 11l0 103q0 6 4 11t9 6l86 13q6 20 18 42-19 27-50 64-4 6-4 11 0 7 4 11 12 17 46 50t44 33q6 0 12-4l64-50q19 10 43 18 6 60 13 86 4 13 17 13l104 0q6 0 11-4t6-10l13-85q19-6 42-17l66 50q4 4 11 4 6 0 12-4 80-74 80-89 0-5-4-11-7-9-23-30t-25-33q13-27 19-46l85-13q6-1 9-6t4-11z m357-297l0-78q0-9-83-17-7-15-17-29 28-63 28-77 0-2-2-4-68-40-69-40-4 0-26 26t-29 38q-11-1-17-1t-17 1q-8-12-29-38t-26-26q-1 0-69 40-2 2-2 4 0 14 28 77-10 14-17 29-83 8-83 17l0 78q0 9 83 17 7 16 17 29-28 63-28 77 0 2 2 4 2 1 20 11t33 19 17 9q4 0 26-26t29-38q11 1 17 1t17-1q28 40 51 62l3 1q2 0 69-39 2-2 2-4 0-14-28-77 9-13 17-29 83-8 83-17z m0 571l0-78q0-9-83-17-7-15-17-29 28-63 28-77 0-2-2-4-68-40-69-40-4 0-26 26t-29 38q-11-1-17-1t-17 1q-8-12-29-38t-26-26q-1 0-69 40-2 2-2 4 0 14 28 77-10 14-17 29-83 8-83 17l0 78q0 9 83 17 7 16 17 29-28 63-28 77 0 2 2 4 2 1 20 11t33 19 17 9q4 0 26-26t29-38q11 1 17 1t17-1q28 40 51 62l3 1q2 0 69-39 2-2 2-4 0-14-28-77 9-13 17-29 83-8 83-17z" horiz-adv-x="1071.429" />
@@ -16,4 +18,5 @@
 <glyph glyph-name="plus-circled" unicode="&#x2795;" d="M679 314l0 71q0 15-11 25t-25 11l-143 0 0 143q0 15-11 25t-25 11l-71 0q-15 0-25-11t-11-25l0-143-143 0q-15 0-25-11t-11-25l0-71q0-15 11-25t25-11l143 0 0-143q0-15 11-25t25-11l71 0q15 0 25 11t11 25l0 143 143 0q15 0 25 11t11 25z m179 36q0-117-57-215t-156-156-215-57-215 57-156 156-57 215 57 215 156 156 215 57 215-57 156-156 57-215z" horiz-adv-x="857.143" />
 <glyph glyph-name="asl" unicode="&#xe0ad;" d="M1 700q-4 37 16 53t45 5 35-38l53-184q-16-29-14-64 6-29 35-203 8-53 32-82t65-29q47 0 74 37 33-39 82-37t74 41q27-37 71-41t73 27q12 16 20 31t12 37 5 33 1 40l0 38q25-10 61 23 49 45 109 78t98 8q33-23 31-59t-35-55q-61-25-104-82t-66-112-58-117-78-93q-21-18-66-18l-350 0q-84 6-105 117z m182-234q-6 45 21 65t57 8 36-48l21-209q4-41-17-63t-47-15-36 45z m154 70q2 41 32 56t62-1 36-49l8-248q0-59-28-76t-57 5-30 62z m176 4q4 43 36 55t62-7 30-52l-6-254q-6-47-34-66t-55 1-28 67z" horiz-adv-x="979" />
+<glyph glyph-name="puzzle" unicode="&#xe7b6;" d="M586 402q-38 0-64-34t-27-83 27-83 64-34q21 0 43 13 26 18 38 12t11-24l0-144q0-31-23-54t-56-23l-143 0q-16 0-24 9t3 31q21 25 21 51 0 38-34 64t-83 26-83-26-34-64q0-23 13-44 18-26 12-37t-24-11l-144 0q-33 0-55 23t-23 54l0 144q0 16 9 23t31-3q24-20 51-20 38 0 64 34t27 83-27 83-64 34q-21 0-43-13-26-18-38-12t-11 24l0 91q0 33 23 56t54 23l144 0q19 0 24 11t-11 37q-14 20-14 44 0 38 34 64t83 26 83-26 34-64q0-26-21-51-10-21-3-31t24-9l143 0q31 0 55-23t24-56l0-91q0-16-9-23t-31 3q-24 20-51 20z" horiz-adv-x="678" />
 <glyph glyph-name="eye" unicode="&#xe70a;" d="M929 314q-85 132-213 197 34-58 34-126 0-103-73-177t-177-73-177 73-73 177q0 68 34 126-128-65-213-197 74-114 186-182t242-68 242 68 186 182z m-402 214q0 11-8 19t-19 8q-70 0-120-50t-50-120q0-11 8-19t19-8 19 8 8 19q0 48 34 82t82 34q11 0 19 8t8 19z m473-214q0-19-11-39-78-128-210-206t-279-77-279 78-210 205q-11 20-11 39t11 39q78 128 210 205t279 78 279-78 210-205q11-20 11-39z" horiz-adv-x="1000" />
 <glyph glyph-name="tags" unicode="&#xe70d;" d="M250 600q0 30-21 50t-50 21-50-21-21-50 21-50 50-21 50 21 21 50z m595-321q0-30-21-50l-274-275q-22-21-51-21-30 0-50 21l-399 400q-21 21-36 56t-15 65l0 232q0 29 21 50t50 21l232 0q30 0 65-15t57-36l399-398q21-22 21-51z m214 0q0-30-21-50l-274-275q-22-21-51-21-20 0-33 8t-30 25l262 262q21 21 21 50t-21 51l-399 398q-21 21-57 36t-65 15l125 0q30 0 65-15t57-36l399-398q21-22 21-51z" horiz-adv-x="1071.429" />
@@ -21,13 +24,20 @@
 <glyph glyph-name="trash" unicode="&#xe729;" d="M286 439l0-321q0-8-5-13t-13-5l-36 0q-8 0-13 5t-5 13l0 321q0 8 5 13t13 5l36 0q8 0 13-5t5-13z m143 0l0-321q0-8-5-13t-13-5l-36 0q-8 0-13 5t-5 13l0 321q0 8 5 13t13 5l36 0q8 0 13-5t5-13z m143 0l0-321q0-8-5-13t-13-5l-36 0q-8 0-13 5t-5 13l0 321q0 8 5 13t13 5l36 0q8 0 13-5t5-13z m71-404l0 529-500 0 0-529q0-12 4-23t8-15 6-5l464 0q2 0 6 5t8 15 4 23z m-375 600l250 0-27 65q-4 5-9 6l-177 0q-6-1-9-6z m518-18l0-36q0-8-5-13t-13-5l-54 0 0-529q0-46-26-80t-63-34l-464 0q-37 0-63 33t-26 79l0 531-54 0q-8 0-13 5t-5 13l0 36q0 8 5 13t13 5l172 0 39 93q8 21 30 35t44 15l179 0q22 0 44-15t30-35l39-93 172 0q8 0 13-5t5-13z" horiz-adv-x="785.714" />
 <glyph glyph-name="basket" unicode="&#xe73d;" d="M357-7q0-30-21-50t-50-21-50 21-21 50 21 50 50 21 50-21 21-50z m500 0q0-30-21-50t-50-21-50 21-21 50 21 50 50 21 50-21 21-50z m71 607l0-286q0-13-9-24t-23-12l-583-68q1-4 3-12t3-15 1-12q0-9-13-36l513 0q15 0 25-11t11-25-11-25-25-11l-571 0q-15 0-25 11t-11 25q0 8 6 22t16 33 11 21l-99 459-114 0q-15 0-25 11t-11 25 11 25 25 11l143 0q9 0 16-4t11-9 7-14 4-15 3-16 3-14l670 0q15 0 25-11t11-25z" horiz-adv-x="928.571" />
-<glyph glyph-name="puzzle" unicode="&#xe7b6;" d="M0 4l0 208q0 26 10 26 10-5 23-16t18-10q10-10 42-10 37 0 57 37t21 78-21 78-57 37q-31 0-52-16-26-21-31-21-10 10-10 26l0 104q0 47 62 57l110 0q21-5 36-5 26 0 26 15-5 5-16 18t-10 18q-10 10-10 41 0 37 37 57t78 21 78-21 37-57q0-31-16-52l-21-26q5-16 47-15l83 0q47 10 73-5 31-16 31-47l0-104q0-26-10-26-10 5-23 16t-18 10q-10 10-42 10-37 0-57-37t-21-78 21-78 57-37q26 0 57 16 21 21 26 21 10-10 10-26l0-208q0-52-52-52l-156 0q-26 0-26 15 5 5 16 18t10 18q10 10 10 41 0 37-37 57t-78 21-78-21-37-57q0-31 16-52l21-26q-5-16-26-15l-156 0q-52 0-52 52z" horiz-adv-x="625" />
+<glyph glyph-name="language" unicode="&#xe800;" d="M988 306q30-82-10-176t-134-160q-10 0-12 2t-16 19-16 19q-2 6 2 10 86 60 117 152t-11 148q-16-38-39-76t-59-80-86-65-106-15q-52 6-84 41t-32 93q0 84 60 148 50 50 114 66l-2 100q-140-24-146-24-6-2-10 4 0 2-5 29t-5 31q-2 2 1 4t7 2l156 28q0 110-2 114 0 8 8 8 46 0 52 2 10 0 10-8l0-104q158 22 164 22 8 4 10-6 0-2 4-23t4-25q4-10-4-12l-176-30 0-102 12 0q86 0 148-36t86-100z m-370-160q28-6 62 6l-4 214q-34-12-60-40-44-44-44-108 0-66 46-72z m122 28q28 24 58 68t45 79 7 41q-36 18-96 18-2 0-6-1t-6-1z m-448 382q10-28 53-165t83-261 40-126q0-4-4-4l-86 0q-6 0-6 4l-50 166-176 0q-48-164-50-166 0-4-6-4l-86 0q-4 0-4 4 10 18 176 552 2 8 10 8l96 0q10 0 10-8z m-130-316l144 0-72 264z" horiz-adv-x="1001" />
+<glyph glyph-name="arrows-cw" unicode="&#xe804;" d="M843 261q0-3-1-4-36-150-150-242t-267-93q-81 0-158 31t-136 88l-72-72q-11-11-25-11t-25 11-11 25l0 250q0 15 11 25t25 11l250 0q15 0 25-11t11-25-11-25l-76-76q40-37 90-57t104-20q75 0 140 36t104 100q6 9 30 65 4 13 17 13l107 0q7 0 13-5t5-13z m14 446l0-250q0-15-11-25t-25-11l-250 0q-15 0-25 11t-11 25 11 25l77 77q-83 76-195 76-75 0-140-36t-104-100q-6-9-30-65-4-13-17-13l-111 0q-7 0-13 5t-5 13l0 4q36 150 151 242t268 93q81 0 158-31t137-87l73 72q11 11 25 11t25-11 11-25z" horiz-adv-x="857.143" />
+<glyph glyph-name="flow-branch" unicode="&#xe808;" d="M640 650q0-80-74-110-6-58-28-101t-61-69-68-38-75-26q-42-14-63-22t-47-24-38-40-16-60q70-30 70-110 0-50-35-85t-85-35-85 35-35 85q0 78 72 112l0 378q-72 34-72 110 0 50 35 85t85 35 85-35 35-85q0-76-72-110l0-204q40 30 138 60 58 18 84 29t51 41 29 76q-70 32-70 108 0 50 35 85t85 35 85-35 35-85z m-588 0q0-28 20-48t48-20 49 20 21 48q0 30-21 50t-49 20-48-20-20-50z m68-668q28 0 49 20t21 48q0 30-21 50t-49 20-48-20-20-50q0-28 20-48t48-20z m400 600q28 0 49 20t21 48q0 30-21 50t-49 20-48-20-20-50q0-28 20-48t48-20z" horiz-adv-x="640" />
+<glyph glyph-name="brush" unicode="&#xe807;" d="M118 170q38 34 85 29t87-45q42-40 48-87t-30-83q-86-84-228-102-84-12-80 14 0 4 6 10 52 60 64 145t48 119z m840 646q26-26-148-248t-292-338q-38-38-124-104-8-6-16 8-18 34-48 64-32 32-66 48-16 6-8 16 64 84 104 122 118 116 344 287t254 145z" horiz-adv-x="962" />
+<glyph glyph-name="users" unicode="&#xe802;" d="M0 49q20 8 60 22t70 26 50 22q37 19 57 56t20 76q0 27-31 63-19 21-33 61-45 18-45 76 0 43 14 61-5 39-9 82-4 55 27 108t84 84 110 32q43 0 85-19t72-50 49-72 14-83q-5-56-9-82 14-19 14-61 0-58-45-76-15-41-32-61-32-37-32-63 0-40 20-76t58-56q30-15 93-38t113-43 66-38q18-18 27-47t11-51l1-21-878 0 0 167z m705 299q0 35 12 50-5 33-7 67-3 45 22 89t69 71 90 28 90-28 69-71 22-89q-2-35-7-67 12-15 12-50 0-47-37-62-11-33-26-50-9-10-13-16t-9-16-5-20q0-32 17-62t47-46q18-9 43-19t59-22 50-19l0-135-254 0q0 4 0 11t-3 26-7 36-14 38-23 33q-24 24-53 44t-80 37q27 34 27 78 0 10-5 20t-9 16-12 16q-14 15-27 49-37 16-37 62z" horiz-adv-x="1201.172" />
 <glyph glyph-name="tasks" unicode="&#xf0ae;" d="M571 64l357 0 0 71-357 0 0-71z m-214 286l571 0 0 71-571 0 0-71z m357 286l214 0 0 71-214 0 0-71z m286-464l0-143q0-15-11-25t-25-11l-929 0q-15 0-25 11t-11 25l0 143q0 15 11 25t25 11l929 0q15 0 25-11t11-25z m0 286l0-143q0-15-11-25t-25-11l-929 0q-15 0-25 11t-11 25l0 143q0 15 11 25t25 11l929 0q15 0 25-11t11-25z m0 286l0-143q0-15-11-25t-25-11l-929 0q-15 0-25 11t-11 25l0 143q0 15 11 25t25 11l929 0q15 0 25-11t11-25z" horiz-adv-x="1000" />
 <glyph glyph-name="filter" unicode="&#xf0b0;" d="M783 685q9-23-8-39l-275-275 0-414q0-23-22-33-7-3-14-3-15 0-25 11l-143 143q-11 11-11 25l0 271-275 275q-17 16-8 39 9 22 33 22l714 0q23 0 33-22z" horiz-adv-x="785.714" />
 <glyph glyph-name="mail-alt" unicode="&#xf0e0;" d="M1000 454l0-443q0-37-26-63t-63-26l-821 0q-37 0-63 26t-26 63l0 443q25-27 56-49 202-137 277-193 32-23 52-37t53-27 61-14l1 0q28 0 61 14t53 27 52 37q95 69 278 193 32 22 56 49z m0 164q0-44-27-84t-68-69q-210-146-261-181-6-4-24-17t-30-21-29-18-32-15-28-5l-1 0q-13 0-28 5t-32 15-29 18-30 21-24 17q-51 36-146 102t-114 80q-35 23-65 64t-31 76q0 44 23 73t66 29l821 0q36 0 63-26t27-63z" horiz-adv-x="1000" />
 <glyph glyph-name="sitemap" unicode="&#xf0e8;" d="M1000 154l0-179q0-22-16-38t-38-16l-179 0q-22 0-38 16t-16 38l0 179q0 22 16 38t38 16l54 0 0 107-286 0 0-107 54 0q22 0 38-16t16-38l0-179q0-22-16-38t-38-16l-179 0q-22 0-38 16t-16 38l0 179q0 22 16 38t38 16l54 0 0 107-286 0 0-107 54 0q22 0 38-16t16-38l0-179q0-22-16-38t-38-16l-179 0q-22 0-38 16t-16 38l0 179q0 22 16 38t38 16l54 0 0 107q0 29 21 50t50 21l286 0 0 107-54 0q-22 0-38 16t-16 38l0 179q0 22 16 38t38 16l179 0q22 0 38-16t16-38l0-179q0-22-16-38t-38-16l-54 0 0-107 286 0q29 0 50-21t21-50l0-107 54 0q22 0 38-16t16-38z" horiz-adv-x="1000" />
+<glyph glyph-name="exchange" unicode="&#xe805;" d="M1000 189l0-107q0-7-5-13t-13-5l-768 0 0-107q0-7-5-13t-13-5q-7 0-13 6l-178 179q-5 5-5 12 0 8 5 13l179 179q5 5 13 5 7 0 13-5t5-13l0-107 768 0q7 0 13-5t5-13z m0 304q0-8-5-13l-179-179q-5-5-13-5-7 0-13 5t-5 13l0 107-768 0q-7 0-13 5t-5 13l0 107q0 7 5 13t13 5l768 0 0 107q0 8 5 13t13 5q7 0 13-6l178-178q5-5 5-13z" horiz-adv-x="1000" />
+<glyph glyph-name="code" unicode="&#xe80a;" d="M344 69l-28-28q-6-6-13-6t-13 6l-260 260q-6 6-6 13t6 13l260 260q6 6 13 6t13-6l28-28q6-6 6-13t-6-13l-219-219 219-219q6-6 6-13t-6-13z m330 595l-208-720q-2-7-9-11t-13-1l-35 9q-7 2-11 9t-1 14l208 720q2 7 9 11t13 1l35-9q7-2 11-9t1-14z m367-363l-260-260q-6-6-13-6t-13 6l-28 28q-6 6-6 13t6 13l219 219-219 219q-6 6-6 13t6 13l28 28q6 6 13 6t13-6l260-260q6-6 6-13t-6-13z" horiz-adv-x="1071.429" />
 <glyph glyph-name="crop" unicode="&#xf125;" d="M311 136l332 0 0 332z m-25 25l332 332-332 0 0-332z m643-43l0-107q0-8-5-13t-13-5l-125 0 0-125q0-8-5-13t-13-5l-107 0q-8 0-13 5t-5 13l0 125-482 0q-8 0-13 5t-5 13l0 482-125 0q-8 0-13 5t-5 13l0 107q0 8 5 13t13 5l125 0 0 125q0 8 5 13t13 5l107 0q8 0 13-5t5-13l0-125 475 0 137 138q6 5 13 5t13-5q5-6 5-13t-5-13l-138-137 0-475 125 0q8 0 13-5t5-13z" horiz-adv-x="928.571" />
 <glyph glyph-name="picture" unicode="&#x1f304;" d="M357 529q0-45-31-76t-76-31-76 31-31 76 31 76 76 31 76-31 31-76z m571-214l0-250-786 0 0 107 179 179 89-89 286 286z m54 393l-893 0q-7 0-13-5t-5-13l0-679q0-7 5-13t13-5l893 0q7 0 13 5t5 13l0 679q0 7-5 13t-13 5z m89-18l0-679q0-37-26-63t-63-26l-893 0q-37 0-63 26t-26 63l0 679q0 37 26 63t63 26l893 0q37 0 63-26t26-63z" horiz-adv-x="1071.429" />
 <glyph glyph-name="user" unicode="&#x1f464;" d="M786 66q0-67-41-106t-108-39l-488 0q-68 0-108 39t-41 106q0 30 2 58t8 61 15 61 24 54 35 45 48 30 62 11q5 0 23-12t42-27 60-27 74-12 74 12 60 27 42 27 23 12q34 0 62-11t48-30 35-45 24-54 15-61 8-61 2-58z m-179 498q0-89-63-151t-151-63-151 63-63 151 63 151 151 63 151-63 63-151z" horiz-adv-x="785.714" />
-<glyph glyph-name="users" unicode="&#x1f465;" d="M331 350q-90-3-148-71l-75 0q-46 0-77 23t-31 66q0 197 69 197 3 0 24-12t54-24 66-12q37 0 74 13-3-21-3-37 0-78 45-143z m598-355q0-67-41-106t-108-39l-488 0q-68 0-108 39t-41 106q0 30 2 58t8 61 15 61 24 54 35 45 48 30 62 11q6 0 24-12t41-27 60-27 75-12 75 12 60 27 41 27 24 12q34 0 62-11t48-30 35-45 24-54 15-61 8-61 2-58z m-571 713q0-59-42-101t-101-42-101 42-42 101 42 101 101 42 101-42 42-101z m393-214q0-89-63-151t-151-63-151 63-63 151 63 151 151 63 151-63 63-151z m321-126q0-44-31-66t-77-23l-75 0q-57 69-148 71 45 65 45 143 0 16-3 37 37-13 74-13 33 0 66 12t54 24 24 12q69 0 69-197z m-71 340q0-59-42-101t-101-42-101 42-42 101 42 101 101 42 101-42 42-101z" horiz-adv-x="1071.429" />
+<glyph glyph-name="folder-open" unicode="&#xe806;" d="M1048 319q0-17-17-37l-187-221q-24-28-67-48t-80-20l-607 0q-19 0-34 7t-15 24q0 17 17 37l187 221q24 28 67 48t80 20l607 0q19 0 34-7t15-24z m-191 192l0-89-464 0q-52 0-110-27t-92-67l-188-221-3-3q0 2 0 7t0 7l0 536q0 51 37 88t88 37l179 0q51 0 88-37t37-88l0-18 304 0q51 0 88-37t37-88z" horiz-adv-x="1071.429" />
+<glyph glyph-name="signal" unicode="&#xe801;" d="M143 46l0-107q0-8-5-13t-13-5l-107 0q-8 0-13 5t-5 13l0 107q0 8 5 13t13 5l107 0q8 0 13-5t5-13z m214 71l0-179q0-8-5-13t-13-5l-107 0q-8 0-13 5t-5 13l0 179q0 8 5 13t13 5l107 0q8 0 13-5t5-13z m214 143l0-321q0-8-5-13t-13-5l-107 0q-8 0-13 5t-5 13l0 321q0 8 5 13t13 5l107 0q8 0 13-5t5-13z m214 214l0-536q0-8-5-13t-13-5l-107 0q-8 0-13 5t-5 13l0 536q0 8 5 13t13 5l107 0q8 0 13-5t5-13z m214 286l0-821q0-8-5-13t-13-5l-107 0q-8 0-13 5t-5 13l0 821q0 8 5 13t13 5l107 0q8 0 13-5t5-13z" horiz-adv-x="1000" />
 <glyph glyph-name="shuffle" unicode="&#x1f500;" d="M372 582q-33-51-76-152-12 25-21 40t-23 35-28 32-35 20-45 8l-125 0q-8 0-13 5t-5 13l0 107q0 8 5 13t13 5l125 0q140 0 229-126z m628-446q0-8-5-13l-179-179q-5-5-13-5-7 0-13 5t-5 13l0 107q-18 0-47 0t-45-1-41 1-40 3-36 6-35 10-32 16-33 22-31 30-31 39q33 52 76 152 12-25 21-40t23-35 28-32 35-20 45-8l143 0 0 107q0 8 5 13t13 5q7 0 13-6l178-178q5-5 5-13z m0 500q0-8-5-13l-179-179q-5-5-13-5-7 0-13 5t-5 13l0 107-143 0q-27 0-49-8t-39-25-28-34-25-43q-18-35-44-95-16-37-28-62t-30-59-36-56-41-46-50-38-59-23-71-9l-125 0q-8 0-13 5t-5 13l0 107q0 8 5 13t13 5l125 0q27 0 49 8t39 25 28 34 25 43q18 35 44 95 16 37 28 62t30 59 36 56 41 46 50 38 59 23 71 9l143 0 0 107q0 8 5 13t13 5q7 0 13-6l178-178q5-5 5-13z" horiz-adv-x="1000" />
 <glyph glyph-name="lock" unicode="&#x1f512;" d="M393 279q0 30-21 50t-50 21-50-21-21-50q0-21 11-37t28-26l-39-128q-3-8 3-16t15-7l107 0q9 0 15 7t3 16l-39 128q18 9 28 26t11 37z m-214 143l286 0 0 107q0 59-42 101t-101 42-101-42-42-101l0-107z m464-54l0-321q0-22-16-38t-38-16l-536 0q-22 0-38 16t-16 38l0 321q0 22 16 38t38 16l18 0 0 107q0 103 74 176t176 74 176-74 74-176l0-107 18 0q22 0 38-16t16-38z" horiz-adv-x="642.857" />