Index: /trunk/themes/elegant/admin/admin.tpl
===================================================================
--- /trunk/themes/elegant/admin/admin.tpl	(revision 23372)
+++ /trunk/themes/elegant/admin/admin.tpl	(revision 23373)
@@ -10,5 +10,5 @@
 
 <div class="titrePage">
-  <h2>{'Elegant Configuration'|@translate}</h2>
+  <h2>{'Elegant, Configuration Page'|@translate}</h2>
 </div>
 <form method="post" class="properties" action="" ENCTYPE="multipart/form-data" name="form" class="properties">
@@ -22,5 +22,5 @@
         <input type="radio" id="p_main_menu_on" name="p_main_menu" value="on" {if $options.p_main_menu=="on"}checked="checked"{/if}><label for="p_main_menu_on">{'Displayed'|@translate}</label>
         <input type="radio" id="p_main_menu_off" name="p_main_menu" value="off" {if $options.p_main_menu=="off"}checked="checked"{/if}><label for="p_main_menu_off">{'Hidden'|@translate}</label>
-        <input type="radio" id="p_main_menu_disabled" name="p_main_menu" value="disabled" {if $options.p_main_menu=="disabled"}checked="checked"{/if}><label for="p_main_menu_disabled">{'Disable animation'|@translate}</label>
+        <input type="radio" id="p_main_menu_disabled" name="p_main_menu" value="disabled" {if $options.p_main_menu=="disabled"}checked="checked"{/if}><label for="p_main_menu_disabled">{'Disable the animation'|@translate}</label>
       </li>
       <li class="radio" >
@@ -28,5 +28,5 @@
         <input type="radio" id="p_pict_descr_on" name="p_pict_descr" value="on" {if $options.p_pict_descr=="on"}checked="checked"{/if}><label for="p_pict_descr_on">{'Displayed'|@translate}</label>
         <input type="radio" id="p_pict_descr_off" name="p_pict_descr" value="off" {if $options.p_pict_descr=="off"}checked="checked"{/if}><label for="p_pict_descr_off">{'Hidden'|@translate}</label>
-        <input type="radio" id="p_pict_descr_disabled" name="p_pict_descr" value="disabled" {if $options.p_pict_descr=="disabled"}checked="checked"{/if}><label for="p_pict_descr_disabled">{'Disable animation'|@translate}</label>
+        <input type="radio" id="p_pict_descr_disabled" name="p_pict_descr" value="disabled" {if $options.p_pict_descr=="disabled"}checked="checked"{/if}><label for="p_pict_descr_disabled">{'Disable the animation'|@translate}</label>
       </li>
       <li class="radio" >
@@ -34,5 +34,5 @@
         <input type="radio" id="p_pict_comment_on" name="p_pict_comment" value="on" {if $options.p_pict_comment=="on"}checked="checked"{/if}><label for="p_pict_comment_on">{'Displayed'|@translate}</label>
         <input type="radio" id="p_pict_comment_off" name="p_pict_comment" value="off" {if $options.p_pict_comment=="off"}checked="checked"{/if}><label for="p_pict_comment_off">{'Hidden'|@translate}</label>
-        <input type="radio" id="p_pict_comment_disabled" name="p_pict_comment" value="disabled" {if $options.p_pict_comment=="disabled"}checked="checked"{/if}><label for="p_pict_comment_disabled">{'Disable animation'|@translate}</label>
+        <input type="radio" id="p_pict_comment_disabled" name="p_pict_comment" value="disabled" {if $options.p_pict_comment=="disabled"}checked="checked"{/if}><label for="p_pict_comment_disabled">{'Disable the animation'|@translate}</label>
       </li>
     </ul>
Index: /trunk/themes/elegant/language/en_UK/index.php
===================================================================
--- /trunk/themes/elegant/language/en_UK/index.php	(revision 23373)
+++ /trunk/themes/elegant/language/en_UK/index.php	(revision 23373)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/themes/elegant/language/en_UK/theme.lang.php
===================================================================
--- /trunk/themes/elegant/language/en_UK/theme.lang.php	(revision 23373)
+++ /trunk/themes/elegant/language/en_UK/theme.lang.php	(revision 23373)
@@ -0,0 +1,11 @@
+<?php
+$lang['Elegant, Configuration Page'] = 'Elegant, Configuration Page';
+$lang['Panels options'] = 'Panels options';
+$lang['Choose what should be the default state for each panel, or disable the animation:'] = 'Choose what should be the default state for each panel, or disable the animation:';
+$lang['Main Menu Panel'] = 'Main Menu Panel';
+$lang['Displayed'] = 'Displayed';
+$lang['Hidden'] = 'Hidden';
+$lang['Disable the animation'] = 'Disable the animation';
+$lang['Photo Description Panel'] = 'Photo Description Panel';
+$lang['Comments Panel'] = 'Comments Panel';
+?>
Index: /trunk/themes/elegant/language/fr_FR/index.php
===================================================================
--- /trunk/themes/elegant/language/fr_FR/index.php	(revision 23373)
+++ /trunk/themes/elegant/language/fr_FR/index.php	(revision 23373)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/themes/elegant/language/fr_FR/theme.lang.php
===================================================================
--- /trunk/themes/elegant/language/fr_FR/theme.lang.php	(revision 23373)
+++ /trunk/themes/elegant/language/fr_FR/theme.lang.php	(revision 23373)
@@ -0,0 +1,12 @@
+<?php
+
+$lang['Elegant, Configuration Page'] = 'Elegant, Page de Configuration';
+$lang['Panels options'] = 'Options des panneaux';
+$lang['Choose what should be the default state for each panel, or disable the animation:'] = 'Choisissez le comportement par défaut des panneaux rétractables, ou désactivez leur animation';
+$lang['Main Menu Panel'] = 'Panneau du menu principal';
+$lang['Displayed'] = 'Affiché';
+$lang['Hidden'] = 'Caché';
+$lang['Disable the animation'] = 'Désactiver l\'animation';
+$lang['Photo Description Panel'] = 'Panneau de la description de la photo';
+$lang['Comments Panel'] = 'Panneau des commentaires';
+?>
Index: /trunk/themes/elegant/language/index.php
===================================================================
--- /trunk/themes/elegant/language/index.php	(revision 23373)
+++ /trunk/themes/elegant/language/index.php	(revision 23373)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>