Index: /trunk/language/cs_CZ/admin.lang.php
===================================================================
--- /trunk/language/cs_CZ/admin.lang.php	(revision 23451)
+++ /trunk/language/cs_CZ/admin.lang.php	(revision 23452)
@@ -847,5 +847,5 @@
 $lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo pro iOS (iPhone, iPad, iPod Touch)';
 $lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>Piwigo pro iOS</em> aplikace vám dává možnost se připojit do galerie Piwigo z vašeho iPhone, iPad nebo iPod Touch, vytvořit nějaké alba a nahrávat více fotografií najednou.';
-$lang['Piwigo for Android'] = 'Piwigo for Android';
+$lang['Piwigo for Android'] = 'Piwigo pro Android';
 $lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Piwigo pro Android</em> aplikace vám dává možnost se připojit do galerie Piwigo z vašeho Android telefonu nebo tabletu, vytvořit nějaké alba a nahrávat více fotografií najednou.';
 $lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo Publikační plugin pro Lightroom';
@@ -882,5 +882,4 @@
 $lang['No group is permitted to see this private album'] = 'Žádná ze skupin nemá oprávnění prohlížet toto soukromé album';
 $lang['Permission management'] = 'Správa pravidel přístupu';
-
 $lang['add a new watermark'] = 'Přidej vodoznak';
 $lang['Apply watermark if height is bigger than'] = 'Vlož vodoznak pokud je výška delší než';
@@ -940,5 +939,5 @@
 $lang['Minimum width'] = 'Minimální šířka';
 $lang['Number of albums per page'] = 'Počet alb na stránku';
-$lang['Panorama'] = 'Panorama';
+$lang['Panorama'] = 'Panoráma';
 $lang['Portrait'] = 'Na výšku';
 $lang['View in gallery'] = 'Zobrazit v galerii';
Index: /trunk/language/cs_CZ/common.lang.php
===================================================================
--- /trunk/language/cs_CZ/common.lang.php	(revision 23451)
+++ /trunk/language/cs_CZ/common.lang.php	(revision 23452)
@@ -26,5 +26,5 @@
 /*
 Language Name: Česky [CZ]
-Version: 2.5.0
+Version: 2.5.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=414
 Author: Piwigo team
Index: /trunk/language/da_DK/common.lang.php
===================================================================
--- /trunk/language/da_DK/common.lang.php	(revision 23451)
+++ /trunk/language/da_DK/common.lang.php	(revision 23452)
@@ -23,5 +23,5 @@
 /*
 Language Name: Dansk [DK]
-Version: 2.5.0
+Version: 2.5.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=415
 Author: Piwigo team
Index: /trunk/language/eo_EO/common.lang.php
===================================================================
--- /trunk/language/eo_EO/common.lang.php	(revision 23451)
+++ /trunk/language/eo_EO/common.lang.php	(revision 23452)
@@ -23,5 +23,5 @@
 /*
 Language Name: Esperanto [EO]
-Version: 2.5.0
+Version: 2.5.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=596
 Author: Piwigo team
Index: /trunk/language/es_ES/common.lang.php
===================================================================
--- /trunk/language/es_ES/common.lang.php	(revision 23451)
+++ /trunk/language/es_ES/common.lang.php	(revision 23452)
@@ -23,5 +23,5 @@
 /*
 Language Name: Español [ES]
-Version: 2.5.0
+Version: 2.5.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=169
 Author: Piwigo team
Index: /trunk/language/fa_IR/common.lang.php
===================================================================
--- /trunk/language/fa_IR/common.lang.php	(revision 23451)
+++ /trunk/language/fa_IR/common.lang.php	(revision 23452)
@@ -23,5 +23,5 @@
 /*
 Language Name: پارسی [IR]
-Version: 2.5.0
+Version: 2.5.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=419
 Author: Piwigo team
Index: /trunk/language/fi_FI/common.lang.php
===================================================================
--- /trunk/language/fi_FI/common.lang.php	(revision 23451)
+++ /trunk/language/fi_FI/common.lang.php	(revision 23452)
@@ -23,5 +23,5 @@
 /*
 Language Name: Finnish [FI]
-Version: 2.5.0
+Version: 2.5.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=686
 Author: Piwigo team
Index: /trunk/language/gl_ES/common.lang.php
===================================================================
--- /trunk/language/gl_ES/common.lang.php	(revision 23451)
+++ /trunk/language/gl_ES/common.lang.php	(revision 23452)
@@ -23,5 +23,5 @@
 /*
 Language Name: Galego [ES]
-Version: 2.5.1
+Version: 2.5.2
 Language URI: http://piwigo.org/ext/extension_view.php?eid=681
 Author: Piwigo team
Index: /trunk/language/it_IT/common.lang.php
===================================================================
--- /trunk/language/it_IT/common.lang.php	(revision 23451)
+++ /trunk/language/it_IT/common.lang.php	(revision 23452)
@@ -23,5 +23,5 @@
 /*
 Language Name: Italiano [IT]
-Version: 2.5.1
+Version: 2.5.2
 Language URI: http://piwigo.org/ext/extension_view.php?eid=424
 Author: Piwigo team
Index: /trunk/language/kn_IN/common.lang.php
===================================================================
--- /trunk/language/kn_IN/common.lang.php	(revision 23451)
+++ /trunk/language/kn_IN/common.lang.php	(revision 23452)
@@ -23,5 +23,5 @@
 /*
 Language Name: ಕನ್ನಡ [IN]
-Version: 2.5.0
+Version: 2.5.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=693
 Author: Piwigo team
Index: /trunk/language/lt_LT/common.lang.php
===================================================================
--- /trunk/language/lt_LT/common.lang.php	(revision 23451)
+++ /trunk/language/lt_LT/common.lang.php	(revision 23452)
@@ -23,5 +23,5 @@
 /*
 Language Name: Lietuviu [LT]
-Version: 2.5.2
+Version: 2.5.3
 Language URI: http://piwigo.org/ext/extension_view.php?eid=648
 Author: Piwigo team
Index: /trunk/language/mn_MN/common.lang.php
===================================================================
--- /trunk/language/mn_MN/common.lang.php	(revision 23451)
+++ /trunk/language/mn_MN/common.lang.php	(revision 23452)
@@ -23,5 +23,5 @@
 /*
 Language Name: Монгол хэл [MN]
-Version: 2.5.0
+Version: 2.5.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=696
 Author: Piwigo team
Index: /trunk/language/ru_RU/about.html
===================================================================
--- /trunk/language/ru_RU/about.html	(revision 23451)
+++ /trunk/language/ru_RU/about.html	(revision 23452)
@@ -10,4 +10,5 @@
         <li><a href="http://ru.piwigo.org/forum/profile.php?id=6705">ie</a></li>
 		<li><a href="http://ru.piwigo.org/forum/profile.php?id=4895">kiddy-admin</a></li>
+		<li><a href="http://ru.piwigo.org/forum/profile.php?id=17102">Konve</a></li>
 		<li><a href="http://ru.piwigo.org/forum/profile.php?id=16485">marchelly</a></li>
         <li><a href="http://ru.piwigo.org/forum/profile.php?id=3180">nadusha</a></li>
Index: /trunk/language/ru_RU/common.lang.php
===================================================================
--- /trunk/language/ru_RU/common.lang.php	(revision 23451)
+++ /trunk/language/ru_RU/common.lang.php	(revision 23452)
@@ -23,5 +23,5 @@
 /*
 Language Name: Русский [RU]
-Version: 2.5.0
+Version: 2.5.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=434
 Author: Piwigo team
Index: /trunk/language/sk_SK/common.lang.php
===================================================================
--- /trunk/language/sk_SK/common.lang.php	(revision 23451)
+++ /trunk/language/sk_SK/common.lang.php	(revision 23452)
@@ -26,5 +26,5 @@
 /*
 Language Name: Slovensky [SK]
-Version: 2.5.0
+Version: 2.5.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=452
 Author: Piwigo team
Index: /trunk/language/sl_SI/common.lang.php
===================================================================
--- /trunk/language/sl_SI/common.lang.php	(revision 23451)
+++ /trunk/language/sl_SI/common.lang.php	(revision 23452)
@@ -23,5 +23,5 @@
 /*
 Language Name: Slovenšcina [SI]
-Version: 2.5.1
+Version: 2.5.2
 Language URI: http://piwigo.org/ext/extension_view.php?eid=453
 Author: Piwigo team
Index: /trunk/language/tr_TR/common.lang.php
===================================================================
--- /trunk/language/tr_TR/common.lang.php	(revision 23451)
+++ /trunk/language/tr_TR/common.lang.php	(revision 23452)
@@ -23,5 +23,5 @@
 /*
 Language Name: Türkçe [TR]
-Version: 2.5.1
+Version: 2.5.2
 Language URI: http://piwigo.org/ext/extension_view.php?eid=436
 Author: Piwigo team
Index: /trunk/language/vi_VN/common.lang.php
===================================================================
--- /trunk/language/vi_VN/common.lang.php	(revision 23451)
+++ /trunk/language/vi_VN/common.lang.php	(revision 23452)
@@ -23,5 +23,5 @@
 /*
 Language Name: Tiếng Việt [VN]
-Version: 2.5.1
+Version: 2.5.2
 Language URI: http://piwigo.org/ext/extension_view.php?eid=437
 Author: Piwigo team
Index: /trunk/language/zh_HK/about.html
===================================================================
--- /trunk/language/zh_HK/about.html	(revision 23451)
+++ /trunk/language/zh_HK/about.html	(revision 23452)
@@ -8,5 +8,6 @@
 <p> 中文 (香港) 由以下人士維護 (名字按字母順序):
 <ul>
-<li><a href="http://piwigo.org/forum/profile.php?id=16380";> fatman</a></li>
+<li><a href="http://piwigo.org/forum/profile.php?id=16380";>fatman</a></li>
+<li><a href="http://piwigo.org/forum/profile.php?id=19146";>hkdigit</a></li>
 </ul>
 謝謝翻譯人員! </P>
Index: /trunk/language/zh_HK/common.lang.php
===================================================================
--- /trunk/language/zh_HK/common.lang.php	(revision 23451)
+++ /trunk/language/zh_HK/common.lang.php	(revision 23452)
@@ -23,5 +23,5 @@
 /*
 Language Name: 中文 (香港) [HK]
-Version: 2.5.0
+Version: 2.5.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=614
 Author: Piwigo team