Index: /extensions/rv_autocomplete/language/cs_CZ/description.txt
===================================================================
--- /extensions/rv_autocomplete/language/cs_CZ/description.txt	(revision 23468)
+++ /extensions/rv_autocomplete/language/cs_CZ/description.txt	(revision 23468)
@@ -0,0 +1,1 @@
+Automaticky doplní návrhy ve vyhledávacím poli k zadávanému slovu pro alba, tagy nebo vlastní vložené výrazy
Index: /extensions/rv_autocomplete/language/cs_CZ/index.php
===================================================================
--- /extensions/rv_autocomplete/language/cs_CZ/index.php	(revision 23468)
+++ /extensions/rv_autocomplete/language/cs_CZ/index.php	(revision 23468)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_autocomplete/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/rv_autocomplete/language/cs_CZ/plugin.lang.php	(revision 23468)
+++ /extensions/rv_autocomplete/language/cs_CZ/plugin.lang.php	(revision 23468)
@@ -0,0 +1,29 @@
+<?php
+$lang['Configuration'] = 'Konfigurace';
+$lang['Exclude'] = 'Kromě';
+$lang['Custom'] = 'Vlastní';
+
+//Configuration
+$lang['If you change album/tag names or permalink you might want to'] = 'Když upravíte název album/štítku nebo odkaz budete chtít';
+$lang['Invalidate auto completion index cache'] = 'Zneplatnění autodoplnění indexu v cache';
+$lang['(Auto completions are automatically invalidated on uploads, permission changes ...).'] = '(Autodoplnění je automaticky zneplatněno u uploadu, změny práva přístupu,atd. ...).';
+$lang['Ideal number of suggestions'] = 'Idealní počet návrhů';
+$lang['Maximum number of suggestions'] = 'Max. počet návrhů';
+$lang['Look for matches in other languages if the number of matches in main language is less than'] = 'Zahrnout výsledky v dalších překladech pokud je počet výsledků hledání v hlavním jazyce nižší než';
+$lang['Stop accumulating matches after'] = 'Zastavit akumulování výsledků po dosažení ';
+$lang['positive matches'] = 'odpovídajících výsledků';
+
+//custom
+$lang['Query:'] = 'Dotaz:';
+$lang['Use <b>\</b> to break search (e.g. Central Park\, NY will not match NY but it will display it)'] = 'Použijte <b>\</b> pro zalomení hledání (např. Central Park\, NY nezahrnuje NY, ale zobrazí to také)';
+$lang['Weight:'] = 'Váha:';
+$lang['Url:'] = 'Url:';
+$lang['Leave empty for automatic gallery search <br>OR enter an url ($r/ at the start of url means this gallery)<br>OR enter q=Term to search for a specific term'] = 'Ponechte pole prázdné pro automatické vyhledávání <br>NEBO zadejte url ($r/ na začátku url míněna tato galerie)<br>NEBO zadejte q=Výraz pro hledání určitého výrazu';
+$lang['Create a new suggestion'] = 'Vložit nový výraz';
+$lang['Name'] = 'Název';
+$lang['Weight'] = 'Váha';
+$lang['URL'] = 'URL';
+$lang['Actions'] = 'Akce';
+$lang['No data available in table'] = 'V tabulce nejsou zadána žádná data';
+
+?>