Index: /trunk/admin/themes/default/template/notification_by_mail.tpl
===================================================================
--- /trunk/admin/themes/default/template/notification_by_mail.tpl	(revision 23495)
+++ /trunk/admin/themes/default/template/notification_by_mail.tpl	(revision 23496)
@@ -99,5 +99,5 @@
         <tr class="throw">
           <th>{'User'|@translate}</th>
-          <th>{'email'|@translate}</th>
+          <th>{'Email'|@translate}</th>
           <th>{'Last send'|@translate}</th>
           <th>{'To send ?'|@translate}</th>
Index: /trunk/language/af_ZA/admin.lang.php
===================================================================
--- /trunk/language/af_ZA/admin.lang.php	(revision 23495)
+++ /trunk/language/af_ZA/admin.lang.php	(revision 23496)
@@ -517,5 +517,5 @@
 $lang['default'] = 'verstek';
 $lang['delete album'] = 'verwyder album';
-$lang['email'] = 'E-pos';
+$lang['Email'] = 'E-pos';
 $lang['errors during synchronization'] = 'foute gedurende sinchronisasie';
 $lang['existing album'] = 'Bestaande album';
Index: /trunk/language/ar_SA/admin.lang.php
===================================================================
--- /trunk/language/ar_SA/admin.lang.php	(revision 23495)
+++ /trunk/language/ar_SA/admin.lang.php	(revision 23496)
@@ -225,5 +225,5 @@
 $lang['To send ?'] = 'إرسـال؟';
 $lang['Last send'] = 'الارسال الاخير';
-$lang['email'] = 'البريدالالكتروني';
+$lang['Email'] = 'البريدالالكتروني';
 $lang['User'] = 'المستخدم';
 $lang['See you soon,'] = 'ستسعدنا جدا  زيارتك';
Index: /trunk/language/bg_BG/admin.lang.php
===================================================================
--- /trunk/language/bg_BG/admin.lang.php	(revision 23495)
+++ /trunk/language/bg_BG/admin.lang.php	(revision 23496)
@@ -386,5 +386,5 @@
 $lang['deleted'] = 'изтрито';
 $lang['directories + files'] = 'директории + файлове';
-$lang['email'] = 'Имейл';
+$lang['Email'] = 'Имейл';
 $lang['existing album'] = 'съществуващ албум';
 $lang['guest'] = 'гост';
Index: /trunk/language/ca_ES/admin.lang.php
===================================================================
--- /trunk/language/ca_ES/admin.lang.php	(revision 23495)
+++ /trunk/language/ca_ES/admin.lang.php	(revision 23496)
@@ -209,5 +209,5 @@
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'El temps d\'enviament del correu és limitat. No tots els missatges han pogut ser enviats. S\'han omès missatges de correu electrònic.';
 $lang['To send ?'] = 'Enviar-ho?';
-$lang['email'] = 'Correu electrònic';
+$lang['Email'] = 'Correu electrònic';
 $lang['User'] = 'Usuari';
 $lang['Complementary mail content'] = 'Contingut complementari del correu electrònic';
Index: /trunk/language/cs_CZ/admin.lang.php
===================================================================
--- /trunk/language/cs_CZ/admin.lang.php	(revision 23495)
+++ /trunk/language/cs_CZ/admin.lang.php	(revision 23496)
@@ -229,5 +229,5 @@
 $lang['To send ?'] = 'Odeslat?';
 $lang['Last send'] = 'Naposledy odesláno';
-$lang['email'] = 'E-mail';
+$lang['Email'] = 'E-mail';
 $lang['User'] = 'Uživatel';
 $lang['See you soon,'] = 'Nashledanou';
Index: /trunk/language/da_DK/admin.lang.php
===================================================================
--- /trunk/language/da_DK/admin.lang.php	(revision 23495)
+++ /trunk/language/da_DK/admin.lang.php	(revision 23496)
@@ -227,5 +227,5 @@
 $lang['To send ?']  =  'Vil du sende?';
 $lang['Last send'] = 'Senest afsendt';
-$lang['email'] = 'E-mail';
+$lang['Email'] = 'E-mail';
 $lang['User']  =  'Bruger';
 $lang['See you soon,'] = 'Vi ses snart,';
Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 23495)
+++ /trunk/language/de_DE/admin.lang.php	(revision 23496)
@@ -226,5 +226,5 @@
 $lang['To send ?'] = 'Info-E-Mail senden?';
 $lang['Last send'] = 'Letzter Versand';
-$lang['email'] = 'E-Mail';
+$lang['Email'] = 'E-Mail';
 $lang['User'] = 'Benutzer';
 $lang['See you soon,'] = 'Bis bald,';
Index: /trunk/language/el_GR/admin.lang.php
===================================================================
--- /trunk/language/el_GR/admin.lang.php	(revision 23495)
+++ /trunk/language/el_GR/admin.lang.php	(revision 23496)
@@ -329,5 +329,5 @@
 $lang['display'] = 'Εμφάνιση';
 $lang['dissociate from group'] = 'Αποσυνδέστε από την ομάδα';
-$lang['email'] = 'Ηλεκτρονικό ταχυδρομείο';
+$lang['Email'] = 'Ηλεκτρονικό ταχυδρομείο';
 $lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'ΣΦΑΛΜΑ: ΑΥΤΟ ΤΟ ΠΡΟΣΘΕΤΟ ΛΕΙΠΕΙ ΑΛΛΑ ΕΙΝΑΙ ΕΓΚΑΤΕΣΤΗΜΕΝΟ! ΑΠΕΓΚΑΤΑΣΤΗΣΤΕ ΤΩΡΑ.';
 $lang['ERROR'] = 'ΣΦΑΛΜΑ';
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 23495)
+++ /trunk/language/en_UK/admin.lang.php	(revision 23496)
@@ -327,5 +327,4 @@
 $lang['Email admins when a new user registers'] = "Email admins when a new user registers";
 $lang['Email admins when a valid comment is entered'] = "Email admins when a valid comment is entered";
-$lang['email'] = "Email";
 $lang['Environment'] = "Environment";
 $lang['Error list'] = "List of errors";
Index: /trunk/language/en_UK/common.lang.php
===================================================================
--- /trunk/language/en_UK/common.lang.php	(revision 23495)
+++ /trunk/language/en_UK/common.lang.php	(revision 23496)
@@ -413,3 +413,4 @@
 $lang['Your website URL is invalid'] = 'Your website URL is invalid';
 $lang['mandatory'] = 'mandatory';
+$lang['Email'] = "Email";
 ?>
Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 23495)
+++ /trunk/language/es_ES/admin.lang.php	(revision 23496)
@@ -222,5 +222,5 @@
 $lang['To send ?'] = '¿Enviar?';
 $lang['Last send'] = 'Último envío';
-$lang['email'] = 'e-mail';
+$lang['Email'] = 'e-mail';
 $lang['User'] = 'Usuario';
 $lang['See you soon,'] = 'Hasta pronto,';
Index: /trunk/language/et_EE/admin.lang.php
===================================================================
--- /trunk/language/et_EE/admin.lang.php	(revision 23495)
+++ /trunk/language/et_EE/admin.lang.php	(revision 23496)
@@ -833,5 +833,5 @@
 $lang['display'] = 'kuva';
 $lang['dissociate from group'] = 'eralda rühmast';
-$lang['email'] = 'Epost';
+$lang['Email'] = 'Epost';
 $lang['errors during synchronization'] = 'vigu sünkroniseerimisel';
 $lang['even already synchronized photos'] = 'juba sünkroniseeritud fotod';
Index: /trunk/language/fa_IR/admin.lang.php
===================================================================
--- /trunk/language/fa_IR/admin.lang.php	(revision 23495)
+++ /trunk/language/fa_IR/admin.lang.php	(revision 23496)
@@ -226,5 +226,5 @@
 $lang['To send ?'] = 'فرستادن به؟';
 $lang['Last send'] = 'آخرین فرستاده';
-$lang['email'] = "ایمیل";
+$lang['Email'] = "ایمیل";
 $lang['User'] = "کاربر";
 $lang['See you soon,'] = 'به امید دیدار،';
Index: /trunk/language/fr_CA/admin.lang.php
===================================================================
--- /trunk/language/fr_CA/admin.lang.php	(revision 23495)
+++ /trunk/language/fr_CA/admin.lang.php	(revision 23496)
@@ -229,5 +229,5 @@
 $lang['To send ?'] = "À envoyer ?";
 $lang['Last send'] = "Dernier envoi";
-$lang['email'] = "Courriel";
+$lang['Email'] = "Courriel";
 $lang['User'] = "Utilisateur";
 $lang['See you soon,'] = "À bientôt,";
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 23495)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 23496)
@@ -230,5 +230,4 @@
 $lang['To send ?'] = "A envoyer ?";
 $lang['Last send'] = "Dernier envoi";
-$lang['email'] = "Email";
 $lang['User'] = "Utilisateur";
 $lang['See you soon,'] = "A bientôt,";
Index: /trunk/language/fr_FR/common.lang.php
===================================================================
--- /trunk/language/fr_FR/common.lang.php	(revision 23495)
+++ /trunk/language/fr_FR/common.lang.php	(revision 23496)
@@ -413,3 +413,4 @@
 $lang['Website'] = 'Site web';
 $lang['Your website URL is invalid'] = 'L\'adresse de votre site web est invalide';
+$lang['Email'] = "Email";
 ?>
Index: /trunk/language/gl_ES/admin.lang.php
===================================================================
--- /trunk/language/gl_ES/admin.lang.php	(revision 23495)
+++ /trunk/language/gl_ES/admin.lang.php	(revision 23496)
@@ -636,5 +636,5 @@
 $lang['for the file format'] = 'para o formato de ficheiro';
 $lang['for this file format'] = 'para este formato de ficheiro';
-$lang['email'] = 'Correo electrónico';
+$lang['Email'] = 'Correo electrónico';
 $lang['errors during synchronization'] = 'erros durante a sincronización';
 $lang['even already synchronized photos'] = 'mesmas fotos xa sincronizadas';
Index: /trunk/language/he_IL/admin.lang.php
===================================================================
--- /trunk/language/he_IL/admin.lang.php	(revision 23495)
+++ /trunk/language/he_IL/admin.lang.php	(revision 23496)
@@ -224,5 +224,5 @@
 $lang['To send ?'] = 'כדי לשלוח?';
 $lang['Last send'] = 'לאחרונה שלחה';
-$lang['email'] = 'דואר אלקטרוני';
+$lang['Email'] = 'דואר אלקטרוני';
 $lang['User'] = 'משתמש';
 $lang['See you soon,'] = 'נתראה בקרוב';
Index: /trunk/language/hr_HR/admin.lang.php
===================================================================
--- /trunk/language/hr_HR/admin.lang.php	(revision 23495)
+++ /trunk/language/hr_HR/admin.lang.php	(revision 23496)
@@ -225,5 +225,5 @@
 $lang['To send ?'] = 'Poslati ?';
 $lang['Last send'] = 'Zadnje poslano';
-$lang['email'] = 'e-mail';
+$lang['Email'] = 'e-mail';
 $lang['User'] = 'Korisnik';
 $lang['See you soon,'] = 'Vidimo se uskoro,';
Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 23495)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 23496)
@@ -223,5 +223,5 @@
 $lang['To send ?'] = 'Elküldjük?';
 $lang['Last send'] = 'Utolsó küldése';
-$lang['email'] = 'E-mail';
+$lang['Email'] = 'E-mail';
 $lang['User'] = 'Felhasználó';
 $lang['See you soon,'] = 'Viszont látásra,';
Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 23495)
+++ /trunk/language/it_IT/admin.lang.php	(revision 23496)
@@ -230,5 +230,5 @@
 $lang['To send ?'] = 'Inviare?';
 $lang['Last send'] = 'Ultimo invio';
-$lang['email'] = 'Email';
+$lang['Email'] = 'Email';
 $lang['User'] = 'Utente';
 $lang['See you soon,'] = 'A presto,';
Index: /trunk/language/ja_JP/admin.lang.php
===================================================================
--- /trunk/language/ja_JP/admin.lang.php	(revision 23495)
+++ /trunk/language/ja_JP/admin.lang.php	(revision 23496)
@@ -224,5 +224,5 @@
 $lang['To send ?'] = '送信?';
 $lang['Last send'] = '最終送信';
-$lang['email'] = 'メール';
+$lang['Email'] = 'メール';
 $lang['User'] = 'ユーザ';
 $lang['See you soon,'] = 'それでは ';
Index: /trunk/language/ka_GE/admin.lang.php
===================================================================
--- /trunk/language/ka_GE/admin.lang.php	(revision 23495)
+++ /trunk/language/ka_GE/admin.lang.php	(revision 23496)
@@ -225,5 +225,5 @@
 $lang['To send ?'] = 'გავგზავნოთ?';
 $lang['Last send'] = 'ბოლო გაგზავნილები';
-$lang['email'] = 'email';
+$lang['Email'] = 'email';
 $lang['User'] = 'მომხმარებელი';
 $lang['See you soon,'] = 'ნახვამდის,';
Index: /trunk/language/lv_LV/admin.lang.php
===================================================================
--- /trunk/language/lv_LV/admin.lang.php	(revision 23495)
+++ /trunk/language/lv_LV/admin.lang.php	(revision 23496)
@@ -226,5 +226,5 @@
 $lang['To send ?'] = 'Nosūtīt?';
 $lang['Last send'] = 'Pēdējais nosūtītais';
-$lang['email'] = 'E-pasts';
+$lang['Email'] = 'E-pasts';
 $lang['User'] = 'Lietotājs';
 $lang['Complementary mail content'] = 'Vēstules saturs';
Index: /trunk/language/mn_MN/admin.lang.php
===================================================================
--- /trunk/language/mn_MN/admin.lang.php	(revision 23495)
+++ /trunk/language/mn_MN/admin.lang.php	(revision 23496)
@@ -34,5 +34,5 @@
 $lang['delete photo'] = 'зургыг устгах';
 $lang['deleted'] = 'устсан';
-$lang['email'] = 'Имэйл';
+$lang['Email'] = 'Имэйл';
 $lang['jump to album'] = 'цомог уруу очих';
 $lang['jump to photo'] = 'зураг уруу очих';
Index: /trunk/language/nb_NO/admin.lang.php
===================================================================
--- /trunk/language/nb_NO/admin.lang.php	(revision 23495)
+++ /trunk/language/nb_NO/admin.lang.php	(revision 23496)
@@ -225,5 +225,5 @@
 $lang['To send ?'] = 'Å sende?';
 $lang['Last send'] = 'Sist sendt';
-$lang['email'] = 'Email';
+$lang['Email'] = 'Email';
 $lang['User'] = 'Bruker';
 $lang['Complementary mail content'] = 'Kompletterende mail innhold';
Index: /trunk/language/nl_NL/admin.lang.php
===================================================================
--- /trunk/language/nl_NL/admin.lang.php	(revision 23495)
+++ /trunk/language/nl_NL/admin.lang.php	(revision 23496)
@@ -223,5 +223,5 @@
 $lang['To send ?'] = 'aan sturen ?';
 $lang['Last send'] = 'Laatst sturen';
-$lang['email'] = 'email';
+$lang['Email'] = 'email';
 $lang['User'] = 'Gebruiker';
 $lang['See you soon,'] = 'Tot ziens op onze webpagina,';
Index: /trunk/language/nn_NO/admin.lang.php
===================================================================
--- /trunk/language/nn_NO/admin.lang.php	(revision 23495)
+++ /trunk/language/nn_NO/admin.lang.php	(revision 23496)
@@ -169,5 +169,5 @@
 $lang['display'] = 'vis';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'vis maksimal informasjon (album og bilete lagt til eller sletta';
-$lang['email'] = 'E-post';
+$lang['Email'] = 'E-post';
 $lang['errors during synchronization'] = 'feil under synkronisering';
 $lang['existing album'] = 'eksisterande album';
Index: /trunk/language/pl_PL/admin.lang.php
===================================================================
--- /trunk/language/pl_PL/admin.lang.php	(revision 23495)
+++ /trunk/language/pl_PL/admin.lang.php	(revision 23496)
@@ -223,5 +223,5 @@
 $lang['To send ?'] = 'Do wysłania ?';
 $lang['Last send'] = 'Ostatnio wysłane';
-$lang['email'] = 'email';
+$lang['Email'] = 'email';
 $lang['User'] = 'Użytkownik';
 $lang['See you soon,'] = 'Do zobaczenia wkrótce,';
Index: /trunk/language/pt_BR/admin.lang.php
===================================================================
--- /trunk/language/pt_BR/admin.lang.php	(revision 23495)
+++ /trunk/language/pt_BR/admin.lang.php	(revision 23496)
@@ -224,5 +224,5 @@
 $lang['To send ?'] = 'Enviar ?';
 $lang['Last send'] = 'Enviado pela última vez';
-$lang['email'] = 'email';
+$lang['Email'] = 'email';
 $lang['User'] = 'Usuário';
 $lang['See you soon,'] = 'Até breve,';
Index: /trunk/language/pt_PT/admin.lang.php
===================================================================
--- /trunk/language/pt_PT/admin.lang.php	(revision 23495)
+++ /trunk/language/pt_PT/admin.lang.php	(revision 23496)
@@ -226,5 +226,5 @@
 $lang['To send ?'] = 'Enviar?';
 $lang['Last send'] = 'Enviado pela última vez';
-$lang['email'] = 'Email';
+$lang['Email'] = 'Email';
 $lang['User'] = 'Utilizador';
 $lang['See you soon,'] = 'Até breve,';
Index: /trunk/language/ro_RO/admin.lang.php
===================================================================
--- /trunk/language/ro_RO/admin.lang.php	(revision 23495)
+++ /trunk/language/ro_RO/admin.lang.php	(revision 23496)
@@ -383,5 +383,4 @@
 $lang['directories + files'] = 'diurectoare + fișiere';
 $lang['display'] = 'vizualizează';
-$lang['email'] = 'Email';
 $lang['errors during synchronization'] = 'erori în timpul sincronizării';
 $lang['even already synchronized photos'] = 'chiar și imaginile deja sincronizate';
Index: /trunk/language/ro_RO/common.lang.php
===================================================================
--- /trunk/language/ro_RO/common.lang.php	(revision 23495)
+++ /trunk/language/ro_RO/common.lang.php	(revision 23496)
@@ -415,3 +415,4 @@
 $lang['Website'] = 'Site';
 $lang['Your website URL is invalid'] = 'URL-ul sitului tău este invalid';
+$lang['Email'] = 'Email';
 ?>
Index: /trunk/language/ru_RU/admin.lang.php
===================================================================
--- /trunk/language/ru_RU/admin.lang.php	(revision 23495)
+++ /trunk/language/ru_RU/admin.lang.php	(revision 23496)
@@ -221,5 +221,5 @@
 $lang['To send ?'] = 'Отправить?';
 $lang['Last send'] = 'Последнее отправленное';
-$lang['email'] = 'email';
+$lang['Email'] = 'email';
 $lang['User'] = 'Пользователь';
 $lang['See you soon,'] = 'Пока,';
Index: /trunk/language/sh_RS/admin.lang.php
===================================================================
--- /trunk/language/sh_RS/admin.lang.php	(revision 23495)
+++ /trunk/language/sh_RS/admin.lang.php	(revision 23496)
@@ -222,5 +222,5 @@
 $lang['To send ?'] = 'Poslati ?';
 $lang['Last send'] = 'Zadnje poslato';
-$lang['email'] = 'e-mail';
+$lang['Email'] = 'e-mail';
 $lang['User'] = 'Korisnik';
 $lang['See you soon,'] = 'Vidimo se uskoro,';
Index: /trunk/language/sk_SK/admin.lang.php
===================================================================
--- /trunk/language/sk_SK/admin.lang.php	(revision 23495)
+++ /trunk/language/sk_SK/admin.lang.php	(revision 23496)
@@ -227,5 +227,5 @@
 $lang['To send ?'] = 'Odoslať?';
 $lang['Last send'] = 'Naposledy odoslané';
-$lang['email'] = 'E-mail';
+$lang['Email'] = 'E-mail';
 $lang['User'] = 'Používateľ';
 $lang['See you soon,'] = 'Dovidenia';
Index: /trunk/language/sl_SI/admin.lang.php
===================================================================
--- /trunk/language/sl_SI/admin.lang.php	(revision 23495)
+++ /trunk/language/sl_SI/admin.lang.php	(revision 23496)
@@ -594,5 +594,5 @@
 $lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam je namenjen fotografom, ki želijo pregledovati, upravljati, urejati, izboljšati, organizirati, označevati in dati svoje fotografije v skupno rabo.';
 $lang['dissociate from group'] = 'loči od skupine';
-$lang['email'] = 'Email';
+$lang['Email'] = 'Email';
 $lang['errors during synchronization'] = 'napake med sinhronizacijo';
 $lang['With no virtual album'] = 'Brez navideznega albuma';
Index: /trunk/language/sr_RS/admin.lang.php
===================================================================
--- /trunk/language/sr_RS/admin.lang.php	(revision 23495)
+++ /trunk/language/sr_RS/admin.lang.php	(revision 23496)
@@ -226,5 +226,5 @@
 $lang['To send ?'] = 'Послати ?';
 $lang['Last send'] = 'Задње послато';
-$lang['email'] = 'електронска адреса';
+$lang['Email'] = 'електронска адреса';
 $lang['User'] = 'Корисник';
 $lang['See you soon,'] = 'Видимо се ускоро,';
Index: /trunk/language/sv_SE/admin.lang.php
===================================================================
--- /trunk/language/sv_SE/admin.lang.php	(revision 23495)
+++ /trunk/language/sv_SE/admin.lang.php	(revision 23496)
@@ -226,5 +226,5 @@
 $lang['To send ?'] = 'Att skicka?';
 $lang['Last send'] = 'Senast skickat';
-$lang['email'] = 'E-mail';
+$lang['Email'] = 'E-mail';
 $lang['User'] = 'Användare';
 $lang['Complementary mail content'] = 'Kompletterande mail innehåll';
Index: /trunk/language/th_TH/admin.lang.php
===================================================================
--- /trunk/language/th_TH/admin.lang.php	(revision 23495)
+++ /trunk/language/th_TH/admin.lang.php	(revision 23496)
@@ -254,5 +254,5 @@
 $lang['Email admins when a new user registers'] = "รายงานผู้ดูระบบทางอีเมล เมื่อมีผู้ใช้ใหม่ที่ลงทะเบียน";
 $lang['Email admins when a valid comment is entered'] = "รายงานผู้ดูแลระบบทางอีเมล เมื่อมีความคิดเห็นแสดงเข้ามา";
-$lang['email'] = "อีเมล";
+$lang['Email'] = "อีเมล";
 $lang['Environment'] = "ข้อมูลระบบ";
 $lang['Error list'] = "รายการข้อผิดพลาด";
Index: /trunk/language/tr_TR/admin.lang.php
===================================================================
--- /trunk/language/tr_TR/admin.lang.php	(revision 23495)
+++ /trunk/language/tr_TR/admin.lang.php	(revision 23496)
@@ -272,5 +272,5 @@
 $lang['Email admins when a new user registers'] = 'Yeni kullanıcı kayıt olduğunda yöneticilere e-posta gönder';
 $lang['Email admins when a valid comment is entered'] = 'Geçerli bir yorum girildiğinde yöneticilere e-posta gönder';
-$lang['email'] = 'E-Posta';
+$lang['Email'] = 'E-Posta';
 $lang['Environment'] = 'Sistem Bileşenleri';
 $lang['Error list'] = 'Hata listesi';
Index: /trunk/language/uk_UA/admin.lang.php
===================================================================
--- /trunk/language/uk_UA/admin.lang.php	(revision 23495)
+++ /trunk/language/uk_UA/admin.lang.php	(revision 23496)
@@ -246,5 +246,5 @@
 $lang['Email admins when a new user registers'] = 'Надіслати лист адміністраторам, коли реєструється новий користувач';
 $lang['Email admins when a valid comment is entered'] = 'Надіслати лист адміністраторам, коли коментар введений валідний коментар';
-$lang['email'] = 'Електронна пошта';
+$lang['Email'] = 'Електронна пошта';
 $lang['Environment'] = 'Середовище';
 $lang['Error list'] = 'Список помилок';
Index: /trunk/language/vi_VN/admin.lang.php
===================================================================
--- /trunk/language/vi_VN/admin.lang.php	(revision 23495)
+++ /trunk/language/vi_VN/admin.lang.php	(revision 23496)
@@ -224,5 +224,5 @@
 $lang['To send ?'] = 'Để gởi ?';
 $lang['Last send'] = 'Gởi lần cuối';
-$lang['email'] = 'địa chỉ email';
+$lang['Email'] = 'địa chỉ email';
 $lang['User'] = 'Người dùng';
 $lang['See you soon,'] = 'Hẹn gặp lại bạn,';
Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 23495)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 23496)
@@ -226,5 +226,5 @@
 $lang['To send ?'] = '发送？';
 $lang['Last send'] = '上一次发送';
-$lang['email'] = 'Email';
+$lang['Email'] = 'Email';
 $lang['User'] = '用户';
 $lang['See you soon,'] = '回见，';
Index: /trunk/language/zh_TW/admin.lang.php
===================================================================
--- /trunk/language/zh_TW/admin.lang.php	(revision 23495)
+++ /trunk/language/zh_TW/admin.lang.php	(revision 23496)
@@ -226,5 +226,5 @@
 $lang['To send ?'] = '發送?';
 $lang['Last send'] = '最後一次發送';
-$lang['email'] = '郵件';
+$lang['Email'] = '郵件';
 $lang['User'] = '用戶';
 $lang['See you soon,'] = '很快再見，';