Index: /extensions/Register_FluxBB/admin/template/admin.tpl
===================================================================
--- /extensions/Register_FluxBB/admin/template/admin.tpl	(revision 23512)
+++ /extensions/Register_FluxBB/admin/template/admin.tpl	(revision 23513)
@@ -47,5 +47,5 @@
 
 <div class="titrePage">
-  <h2>{'Title'|@translate} {$REGFLUXBB_VERSION}</h2>
+  <h2>{'FluxBB_Title'|@translate} {$REGFLUXBB_VERSION}</h2>
 </div>
 
@@ -113,5 +113,5 @@
       <br/>
     	</li>
-    	<li><label>{'Admin'|@translate}</label><br/>
+    	<li><label>{'FluxBB_Admin'|@translate}</label><br/>
     		<input type="text" name="FluxBB_admin" value="{$FluxBB_ADMIN}" size="20" style="text-align: center;"/><br/>
       <br/>
Index: /extensions/Register_FluxBB/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Register_FluxBB/language/en_UK/plugin.lang.php	(revision 23512)
+++ /extensions/Register_FluxBB/language/en_UK/plugin.lang.php	(revision 23513)
@@ -1,4 +1,4 @@
 <?php
-$lang['Title'] = 'Register_FluxBB - Version: ';
+$lang['FluxBB_Title'] = 'Register_FluxBB - Version: ';
 $lang['save_config'] ='Settings saved';
 
@@ -84,5 +84,5 @@
 $lang['Prefix'] = 'FluxBB prefix tables:';
 
-$lang['Admin'] = 'Piwigo\'s "Webmaster" account\'s username. <b style="color: red">The FluxBB\'s "Administrator" username account must match!</b>';
+$lang['FluxBB_Admin'] = 'Piwigo\'s "Webmaster" account\'s username. <b style="color: red">The FluxBB\'s "Administrator" username account must match!</b>';
 $lang['error_config_admin1'] = 'ERROR: Piwigo\'s "Webmaster" username is wrong!';
 $lang['error_config_admin2'] = 'ERROR: The username of the FluxBB\'s "Administrator" account is different of Piwigo\'s! Check the configuration of your FluxBB forum and rename the "Administrator" account username in the same way as Piwigo\'s';
@@ -157,3 +157,8 @@
 $lang['To synchronize your forum access with the gallery you have been registered at %s!'] = 'To synchronize your forum access with the gallery, you have been registered at %s!';
 $lang['Please change your password at your first connexion on the gallery'] = 'Please change your password at your first connection to the gallery to end the data synchronization';
+
+$lang['%d email addresses already exist: %s'] = '%d email addresses already exist: %s';
+$lang['%d email addresses rejected: %s'] = '%d email addresses rejected: %s';
+$lang['%d registrations on error: %s'] = '%d registrations on error: %s';
+$lang['%d users registered'] = '%d users registered';
 ?>
Index: /extensions/Register_FluxBB/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Register_FluxBB/language/fr_FR/plugin.lang.php	(revision 23512)
+++ /extensions/Register_FluxBB/language/fr_FR/plugin.lang.php	(revision 23513)
@@ -1,4 +1,4 @@
 <?php
-$lang['Title'] = 'Register_FluxBB - Version: ';
+$lang['FluxBB_Title'] = 'Register_FluxBB - Version: ';
 $lang['save_config'] ='Configuration enregistrée.';
 
@@ -87,5 +87,5 @@
 $lang['Prefix'] = 'Préfixe des tables de FluxBB :';
 
-$lang['Admin'] = 'Nom d\'utilisateur du compte "Webmaster" de Piwigo. <b style="color: red">Le nom du compte "Administrateur" de FluxBB doit être identique !</b>';
+$lang['FluxBB_Admin'] = 'Nom d\'utilisateur du compte "Webmaster" de Piwigo. <b style="color: red">Le nom du compte "Administrateur" de FluxBB doit être identique !</b>';
 $lang['error_config_admin1'] = 'ERREUR : Le nom du compte "Webmaster" de Piwigo est incorrect !';
 $lang['error_config_admin2'] = 'ERREUR : Le nom du compte "Administrateur" de FluxBB est différent du compte "Webmaster" de Piwigo ! Vérifiez la configuration de votre forum FluxBB et nommez le compte "Administrateur" de la même manière que celui de Piwigo';
@@ -161,3 +161,8 @@
 $lang['To synchronize your forum access with the gallery you have been registered at %s!'] = 'Afin de synchroniser votre compte d\'accès au forum avec la galerie, vous avez été inscrit sur %s!';
 $lang['Please change your password at your first connexion on the gallery'] = 'Merci de bien vouloir modifier votre mot de passe lors de votre première connexion à la galerie pour terminer la synchronisation des données.';
+
+$lang['%d email addresses already exist: %s'] = '%d adresses email déjà existantes: %s';
+$lang['%d email addresses rejected: %s'] = '%d adresses email rejetées: %s';
+$lang['%d registrations on error: %s'] = '%d inscriptions en erreur: %s';
+$lang['%d users registered'] = '%d utilisateurs inscrits';
 ?>