Index: trunk/admin/themes/default/template/batch_manager_global.tpl
===================================================================
--- trunk/admin/themes/default/template/batch_manager_global.tpl	(revision 23521)
+++ trunk/admin/themes/default/template/batch_manager_global.tpl	(revision 23526)
@@ -770,6 +770,6 @@
 					<div class="actions"><a href="{$thumbnail.FILE_SRC}" class="preview-box">{'Zoom'|@translate}</a> &middot; <a href="{$thumbnail.U_EDIT}" target="_blank">{'Edit'|@translate}</a></div>
 						{if $thumbnail.level > 0}
-						<em class="levelIndicatorB">{$pwg->l10n($pwg->sprintf('Level %d',$thumbnail.level))}</em>
-						<em class="levelIndicatorF" title="{'Who can see these photos?'|@translate} : ">{$pwg->l10n($pwg->sprintf('Level %d',$thumbnail.level))}</em>
+						<em class="levelIndicatorB">{'Level %d'|@sprintf:$thumbnail.level|@translate}</em>
+						<em class="levelIndicatorF" title="{'Who can see these photos?'|@translate} : ">{'Level %d'|@sprintf:$thumbnail.level|@translate}</em>
 						{/if}
 						<img src="{$thumbnail.thumb->get_url()}" alt="{$thumbnail.file}" title="{$thumbnail.TITLE|@escape:'html'}" {$thumbnail.thumb->get_size_htm()}>
Index: trunk/admin/themes/default/template/configuration.tpl
===================================================================
--- trunk/admin/themes/default/template/configuration.tpl	(revision 23521)
+++ trunk/admin/themes/default/template/configuration.tpl	(revision 23526)
@@ -42,5 +42,5 @@
   <ul>
     <li>
-      
+
         <label for="gallery_title">{'Gallery title'|@translate}</label>
       <br>
@@ -49,5 +49,5 @@
 
     <li>
-      
+
         <label for="page_banner">{'Page banner'|@translate}</label>
       <br>
@@ -101,10 +101,10 @@
       {html_options name="week_starts_on" options=$main.week_starts_on_options selected=$main.week_starts_on_options_selected}</label>
     </li>
-    
+
     <li>
         <label>{'Default photos order'|@translate}</label>
-        
+
         {foreach from=$main.order_by item=order}
-        <span class="filter {if isset($ORDER_BY_IS_CUSTOM)}transparent{/if}">          
+        <span class="filter {if isset($ORDER_BY_IS_CUSTOM)}transparent{/if}">
           <select name="order_by[]" {if isset($ORDER_BY_IS_CUSTOM)}disabled{/if}>
             {html_options options=$main.order_by_options selected=$order}
@@ -113,5 +113,5 @@
         </span>
         {/foreach}
-        
+
         {if !isset($ORDER_BY_IS_CUSTOM)}
           <a class="addFilter">{'Add a criteria'|@translate}</a>
@@ -120,5 +120,5 @@
         {/if}
     </li>
-    
+
 {if !isset($ORDER_BY_IS_CUSTOM)}
 {footer_script require='jquery'}
@@ -141,5 +141,5 @@
     updateAddFilterLink();
   });
-  
+
   $(".removeFilter").css('display', '');
   $(".filter:first .removeFilter").css('display', 'none');
@@ -150,10 +150,10 @@
     $(this).prev('span.filter').clone().insertBefore($(this));
     $(this).prev('span.filter').children('select[name="order_by[]"]').val('');
-    
+
     fields++;
     updateRemoveFilterTrigger();
     updateAddFilterLink();
   });
-  
+
   updateRemoveFilterTrigger();
   updateAddFilterLink();
@@ -197,5 +197,5 @@
     </li>
   </ul>
-  
+
   <ul id="comments_param_warp"{if not ($comments.activate_comments)} style="display:none;"{/if}>
     <li>
@@ -212,5 +212,5 @@
       </label>
     </li>
-    
+
     <li>
       <label>
@@ -228,5 +228,5 @@
       </label>
     </li>
-    
+
     <li>
       <label>
@@ -235,5 +235,5 @@
       </label>
     </li>
-    
+
     <li>
       <label>
@@ -601,8 +601,8 @@
       <label>
         <input type="checkbox" name="menubar_filter_icon" {if ($display.menubar_filter_icon)}checked="checked"{/if}>
-        {'display only recently posted photos'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}
-      </label>
-    </li>    
-    
+				{'Activate icon "%s"'|@translate|@sprintf:('display only recently posted photos'|@translate|@ucfirst)}
+      </label>
+    </li>
+
     <li>
       <label>
@@ -615,5 +615,5 @@
       <label>
         <input type="checkbox" name="index_sort_order_input" {if ($display.index_sort_order_input)}checked="checked"{/if}>
-        {'Sort order'|@translate|@string_format:$pwg->l10n('Activate icon "%s"')}
+				{'Activate icon "%s"'|@translate|@sprintf:('Sort order'|@translate)}
       </label>
     </li>
@@ -622,5 +622,5 @@
       <label>
         <input type="checkbox" name="index_flat_icon" {if ($display.index_flat_icon)}checked="checked"{/if}>
-        {'display all photos in all sub-albums'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}
+				{'Activate icon "%s"'|@translate|@sprintf:('display all photos in all sub-albums'|@translate|@ucfirst)}
       </label>
     </li>
@@ -629,5 +629,5 @@
       <label>
         <input type="checkbox" name="index_posted_date_icon" {if ($display.index_posted_date_icon)}checked="checked"{/if}>
-        {'display a calendar by posted date'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}
+				{'Activate icon "%s"'|@translate|@sprintf:('display a calendar by posted date'|@translate|@ucfirst)}
       </label>
     </li>
@@ -636,5 +636,5 @@
       <label>
         <input type="checkbox" name="index_created_date_icon" {if ($display.index_created_date_icon)}checked="checked"{/if}>
-        {'display a calendar by creation date'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}
+				{'Activate icon "%s"'|@translate|@sprintf:('display a calendar by creation date'|@translate|@ucfirst)}
       </label>
     </li>
@@ -643,8 +643,8 @@
       <label>
         <input type="checkbox" name="index_slideshow_icon" {if ($display.index_slideshow_icon)}checked="checked"{/if}>
-        {'slideshow'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}
-      </label>
-    </li>
-    
+				{'Activate icon "%s"'|@translate|@sprintf:('slideshow'|@translate|@ucfirst)}
+      </label>
+    </li>
+
     <li>
       <label>
@@ -662,5 +662,5 @@
       <label>
         <input type="checkbox" name="picture_slideshow_icon" {if ($display.picture_slideshow_icon)}checked="checked"{/if}>
-        {'slideshow'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}
+				{'Activate icon "%s"'|@translate|@sprintf:('slideshow'|@translate|@ucfirst)}
       </label>
     </li>
@@ -669,5 +669,5 @@
       <label>
         <input type="checkbox" name="picture_metadata_icon" {if ($display.picture_metadata_icon)}checked="checked"{/if}>
-        {'Show file metadata'|@translate|@string_format:$pwg->l10n('Activate icon "%s"')}
+				{'Activate icon "%s"'|@translate|@sprintf:('Show file metadata'|@translate)}
       </label>
     </li>
@@ -676,5 +676,5 @@
       <label>
         <input type="checkbox" name="picture_download_icon" {if ($display.picture_download_icon)}checked="checked"{/if}>
-        {'Download this file'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}
+				{'Activate icon "%s"'|@translate|@sprintf:('Download this file'|@translate|@ucfirst)}
       </label>
     </li>
@@ -683,5 +683,5 @@
       <label>
         <input type="checkbox" name="picture_favorite_icon" {if ($display.picture_favorite_icon)}checked="checked"{/if}>
-        {'add this photo to your favorites'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}
+				{'Activate icon "%s"'|@translate|@sprintf:('add this photo to your favorites'|@translate|@ucfirst)}
       </label>
     </li>
@@ -700,5 +700,5 @@
       </label>
     </li>
-    
+
     <li>
       <label>