Index: /trunk/language/ru_RU/admin.lang.php
===================================================================
--- /trunk/language/ru_RU/admin.lang.php	(revision 23545)
+++ /trunk/language/ru_RU/admin.lang.php	(revision 23546)
@@ -30,10 +30,10 @@
 $lang['%d album moved'] = 'перемещено альбомов: %d';
 $lang['%d albums moved'] = 'перемещено альбомов: %d';
-$lang['%d group'] = 'групп: %d';
-$lang['%d groups'] = 'групп: %d';
+$lang['%d group'] = 'Групп: %d';
+$lang['%d groups'] = 'Групп: %d';
 $lang['%d member'] = 'участников: %d';
 $lang['%d members'] = 'участников: %d';
-$lang['%d tag'] = 'тегов: %d';
-$lang['%d tags'] = 'тегов: %d';
+$lang['%d tag'] = 'Тегов: %d';
+$lang['%d tags'] = 'Тегов: %d';
 $lang['%d user comment rejected'] = 'отклонено комментариев посетителей: %d';
 $lang['%d user comments rejected'] = 'отклонено комментариев посетителей: %d';
@@ -42,6 +42,6 @@
 $lang['%d user deleted'] = 'пользователей удалено: %d';
 $lang['%d users deleted'] = 'пользователей удалено: %d';
-$lang['%d user'] = 'пользователей: %d';
-$lang['%d users'] = 'пользователей: %d';
+$lang['%d user'] = 'Пользователей: %d';
+$lang['%d users'] = 'Пользователей: %d';
 $lang['%d waiting for validation'] = 'ожидает проверки: %d';
 $lang['Actions'] = 'Действия';
@@ -129,5 +129,5 @@
 $lang['Photo informations updated'] = 'Информация о фотографии обновлена';
 $lang['Plugins'] = 'Плагины';
-$lang['Position'] = 'Номер';
+$lang['Position'] = 'Расположение';
 $lang['Preferences'] = 'Настройки';
 $lang['Properties'] = 'Свойства';
@@ -260,5 +260,5 @@
 $lang['Add detailed content'] = 'Добавить дополнительное содержание';
 $lang['Send mail as'] = 'Отправить письмо от';
-$lang['Send mail to users'] = 'Отправить письмо пользователю';
+$lang['Send mail to users'] = 'Отправить письмо пользователям';
 $lang['Send'] = 'Отправка';
 $lang['Options'] = 'Параметры';
@@ -611,5 +611,5 @@
 $lang['Allow user customization'] = 'Разрешить пользователям изменять внешний вид галереи';
 $lang['Languages'] = 'Языки';
-$lang['Installed Languages'] = 'предустановленные языки';
+$lang['Installed Languages'] = 'Установленные языки';
 $lang['Add New Language'] = 'Добавить новый язык';
 $lang['Language has been successfully installed'] = 'Язык был успешно установлен';
@@ -628,10 +628,10 @@
 $lang['By %s'] = ' %s';
 $lang['Visit plugin site'] = 'Страница плагина';
-$lang['Active Languages'] = 'Активировать языки';
+$lang['Active Languages'] = 'Активные языки';
 $lang['Delete this language'] = 'Удалить этот язык';
 $lang['Forbid this language to users'] = 'Сделать недоступным этот язык для пользователей';
 $lang['Impossible to deactivate this language, first set another language as default.'] = 'Невозможный деактивировать этот язык, сначала установите другой язык как значение по умолчанию.';
 $lang['Impossible to deactivate this language, you need at least one language.'] = 'Невозможный деактивировать этот язык, у Вас должен быть по крайней мере один язык.';
-$lang['Inactive Languages'] = 'Деактивировать язык';
+$lang['Inactive Languages'] = 'Неактивные языки';
 $lang['Make this language available to users'] = 'Сделать этот язык доступным для пользователей';
 $lang['Set as default language for unregistered and new users'] = 'Установить язык по умолчанию для незарегистрированных и новых пользователей';
@@ -829,6 +829,6 @@
 $lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture создан для профессиональных фотографов с простотой iPhoto.';
 $lang['apply automatic sort order'] = 'применить автоматическую сортировку';
-$lang['Apply watermark if height is bigger than'] = 'Применять водяной знак если высота больше';
-$lang['Apply watermark if width is bigger than'] = 'Применять водяной знак если ширина больше';
+$lang['Apply watermark if height is bigger than'] = 'Применять водяной знак, если высота больше';
+$lang['Apply watermark if width is bigger than'] = 'Применять водяной знак, если ширина больше';
 $lang['Automatic sort order'] = 'Автоматическая сортировка';
 $lang['Available on'] = 'Доступно';